package com.tin.etbaf.rpu;

public class GRPUConstants {

	public static int DEFAULT_ROWS_COUNT = 0; // Yahan Default row counts hai
	public static int MAX_ROWADD_BLOCK = 99999;
	public static int FILE_LEN_GRPU = 7;
	public static int FILE_LEN_TXT = 50;
	public static int FILE_EXTN_LEN_GRPU = 5;
	public static int FILE_EXTN_LEN_TXT = 4;
	public static final String TBAF_TAN_RCC[] = { "AGR", "AHM", "ALD", "AMR",
			"BBN", "BLR", "BPL", "BRD", "CAL", "CHE", "CHN", "CMB", "DEL",
			"HYD", "JBP", "JDH", "JLD", "JPR", "KLP", "KNP", "LKN", "MRI",
			"MRT", "MUM", "NGP", "NSK", "PNE", "PTL", "PTN", "RCH", "RKT",
			"RTK", "SHL", "SRT", "TVD", "VPN" };

	//For RPU 2.6
	//tooltip for Field no. 4 
	//challan tooltip
	public static final String CELL_TOOLTIP_TEXT[] = {
		"Serial No.",	//1	
			null,
			"TDS",
			"Surcharge",
			"Education Cess",
			"Interest",
			"Field is applicable only from F.Y. 2012-13 onwards.",
			"Others",
			"Last Total Tax Deposited",
			"Total Amount Deposited As Per Challan/Book Adjustment",
			"Field is applicable only upto F.Y. 2012-13.",
			"Last BSR code/24G Receipt No",
			"BSR ccode/24G Receipt No",
			"Last Date on Tax Deposited",
			"Date on which Amount Deposited through Challan",
			"Last DDO/Transfer Voucher/Challan No",
			"Challan Serial No/DDo Serial No. of Form No 24G",
			"Mode Of Deposite through Book Adjustment(Yes/No)",
			"Interest to be allocated/apportioned",
			"Others",
			"Field is applicable only from F.Y. 2013-14.",
			"Applicable only for correction statements",
			"Last Nature of deduction *",
			"Last DD0/Transfer Voucher/Challan Serial No.",
			"DD0/Transfer Voucher/Challan Serial No.",
			"Whether TDS Deposited by Book Entry?(Yes/No)",
			"Interset",
			"Others",
			"Minor Head of Challan 200 -TDS payable by taxpayer 400 -TDS regular assessment(Raised by IT Dept)",
			"Minor Head of Challan 200 -TDS payable by taxpayer 400 -TDS regular assessment(Raised by IT Dept)",
			"a", "b", "c", "d", "e", "f", "g", "h", "i", };
//for DD 27Q
	public static final String CELL_TOOLTIP_TEXT1[] = {
	"Serial No.", 	//1	
			null,
			"BSR code of Branch Where Tax Deposited",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Transfer Voucher/Challan Serial No",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			null,
			"Interest",
			"Others",
			"Total(7+8+9)",
			"Sr.No",
			"Dedcutee/Employee Refrence No.Provided By Deductor if available",
			"Last PAN of Deductee/Employee",
			"PAN of Deductee/Employee",
			"Name of Deductee/Employee",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Amount paid/Credited",
			"TDS",
			"Surcharge",
			"Education Cess",
			"Total Tax Deducted",
			"Last Total Tax Deposited",
			"Total Tax Deposited",
			"Last Total Tax Deposited",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Remarks(Reason for non-deduction/lower deduction/higher deduction",
			//"Deductee code(01-Company, other than domestic company,02-Individual,03 - Hindu Undivided Family,04 - Association of Persons (AOP) except in case of AOP<br> consisting of only companies as its members ))",//rahul CR84532 27Q deductee code
			"Rate at which Tax Deducted", //28
			"This Field is applicable only upto F.Y. 2012-13.",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			"Grossing up indicator", //35
			"This Field is applicable from F.Y. 2016-17 onwards",
			"This Field is applicable from F.Y. 2016-17 onwards",
			"This Field is applicable from F.Y. 2016-17 onwards",
			"This Field is applicable from F.Y. 2016-17 onwards",
			//work here
			//RPU 3.1 start
			"This Field is applicable from F.Y. 2019-20 onwards", //40th column
			//RPU 3.4 
			"This Field is applicable from F.Y. 2020-21 and Q2 onwards",
			"This Field is applicable from F.Y. 2020-21 and Q2 onwards",//42nd column
			"BSR Code/24 G Receipt No.",
			"Field is applicable only from F.Y. 2013-14.",
			"Applicable only for correction statements",
			"Last Nature of deduction *",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-",
			"DD0/Transfer Voucher/Challan Serial No.",
			"Whether TDS Deposited by Book Entry?(Yes/No)", "Interset",
			"Others", 
			"This Field is applicable only upto F.Y. 2012-13.",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards",
			"This Field is applicable from F.Y. 2023-24 and Q1 onwards",////Renuka CR84532 27Q column addition 720D starts
			"This Field is applicable from F.Y. 2023-24 and Q1 onwards", ////Renuka CR84532 27Q column addition 720E starts
			"This Field is applicable from F.Y. 2023-24 and Q1 onwards", ////Renuka CR84532 27Q column addition 720F starts
			"This Field is applicable from F.Y. 2023-24 and Q1 onwards"//Renuka CR84532 27Q column addition 719B starts

	};

	// ## Newly added by Akansha for Ver 1.1

	public static final String CELL_TOOLTIP_TEXT24Q[] = {
			"Serial No.",//1
			null,
			"BSR code of Branch Where Tax Deposited",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Transfer Voucher/Challan Serial No",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			null,
			"Interest",
			"Others",
			"Total(7+8+9)",
			"Sr.No",
			"Dedcutee/Employee Refrence No.Provided By Deductor if available",
			"Last PAN of Deductee/Employee",
			"PAN of Deductee/Employee",
			"Name of Deductee/Employee",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Amount paid/Credited",
			"TDS",
			"Surcharge",
			"Education Cess",
			"Total Tax Deducted",
			"Last Total Tax Deposited",
			"Total Tax Deposited",
			"Last Total Tax Deposited",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Remarks(Reason for non-deduction/lower deduction/higher deduction", //26
			"This Field is applicable only from F.Y. 2013-14 Onwards"
	};
	
	//RPU 3.1 start // for DD regular
	public static final String CELL_TOOLTIP_TEXT26Q[] = {
	"Serial No.", 	//1	
			null,
			"BSR code of Branch Where Tax Deposited",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Transfer Voucher/Challan Serial No",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			null,
			"Interest",
			"Others",
			"Total(7+8+9)",
			"Sr.No",
			"Dedcutee/Employee Refrence No.Provided By Deductor if available",
			"Last PAN of Deductee/Employee",
			"PAN of Deductee/Employee",
			"Name of Deductee/Employee",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Amount paid/Credited",
			"TDS",
			"Surcharge",
			"Education Cess",
			"Total Tax Deducted",
			"Last Total Tax Deposited",
			"Total Tax Deposited",
			"Last Total Tax Deposited",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Remarks(Reason for non-deduction/lower deduction/higher deduction",
			"Deductee code(01-Company,02-Other than Company)",
			"Rate at which Tax Deducted", //28
			"This Field is applicable only upto F.Y. 2012-13.",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2019-20 onwards",
			"This Field is applicable from F.Y. 2020-21 and Q2 onwards", //RPU 3.4
			"This Field is applicable from F.Y. 2020-21 and Q2 onwards",
			"This Field is applicable from F.Y. 2023-24 and Q1 onwards", //rahul CR84532 26Q Column Addition 419D
			"This Field is applicable from F.Y. 2023-24 and Q1 onwards", //CR 84532 26Q Column Addition 419E by Khalid
			"This Field is applicable from F.Y. 2023-24 and Q1 onwards" //CR 84532 26Q Column Addition 419F by Renuka
			  
};

	//For RPU 2.6
		//tootip for 18,21,22,23,24 is added
	public static final String CELL_TOOLTIP_TEXT27EQ[] = {
			"Serial No.",
			null,
			"BSR code of Branch Where Tax Deposited",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Transfer Voucher/Challan Serial No",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			null,
			"Interest",
			"Others",
			"Total(7+8+9)",
			"Sr.No",
			"Dedcutee/Employee Refrence No.Provided By Deductor if available",
			"Last PAN of Deductee/Employee",
			"PAN of Deductee/Employee",
			"Name of Deductee/Employee",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Amount paid/Credited",
			"TCS",
			"Surcharge",
			"Education Cess",
			"Total Tax Collected",
			"Last Total Tax Collected",
			"Total Tax Collected",
			"Last Total Tax Collected",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"Remarks(Reason for non-deduction/lower deduction/higher deduction",
			"Deductee code(01-Company,02-Other than Company)",
			"Total Value of Purchases",
			"Rate at which Tax Deducted",
			"This Field is applicable only upto F.Y. 2012-13.",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
		//	"This Field is applicable from F.Y. 2017-18 onwards.",   //added by sadhana, FRD 2.2
		//	"This Field is applicable from F.Y. 2017-18 onwards.",   //added by sadhana, FRD 2.2
			"This field is applicable in case of non-availability of PAN of deductee from F.Y 2017-18 onwards", //added by shruti, FRD 2.2
			"This field is applicable in case of non-availability of PAN of deductee from F.Y 2017-18 onwards", //added by shruti, FRD 2.2
			//RPU 3.5 
			"This Field is applicable from F.Y. 2020-21 and Q3 onwards.",
			"This Field is applicable from F.Y. 2020-21 and Q3 onwards.",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2015",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			"Grossing up indicator",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-11-2012",
			"Cheque/DD No(if any)",
			"Last BSR Code/24 G Receipt No.",
			"Last Tax Amount",
			"BSR Code/24 G Receipt No.",
			"Field is applicable only from F.Y. 2013-14.",
			"Applicable only for correction statements",
			"Last Nature of deduction *",
			"Can not be a future date. Date should be in DD/MM/YYYY format only. e.g. 05-",
			"DD0/Transfer Voucher/Challan Serial No.",
			"Whether TDS Deposited by Book Entry?(Yes/No)", "Interset",
			"Others", "This Field is applicable only upto F.Y. 2012-13.",
			"This Field is applicable only from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards",
			"This Field is applicable from F.Y. 2013-14 onwards.",
			"This Field is applicable from F.Y. 2013-14 onwards", "e", "f",
			"g", "h", "i",
			//RPU 3.5 Addition of 3  new columns

	};
	// **************************************

	public static final String CELL_TOOLTIP_TEXT2[] = {
			"Serial No.",
			null,
			"PAN of Employee",
			"Name of Employee",
			"Deductee Type",
			"Date should be in DD/MM/YYYY format only. e.g. 05-11-2012",
			"Date should be in DD/MM/YYYY format only. e.g. 05-11-2012",
			"Field is applicable only from F.Y. 2013-14 onwards.",
			"Field is applicable only from F.Y. 2013-14 onwards.",
			"Total Amount of Salary",
			"Deduction under Section 16(ii)",
			"Deduction under Section 16(iii)",
			/*********************************************************/	
			//FRD 2.3 added 16(ia)
			//"Total Deduction",
			"Deduction under Section 16(ia) from 2018-19",
			/*********************************************************/	
			"Income Chargeable Under the Head Salaries",
			"Income under Any Head Other than Head 'Salaries' offered for TDS",
			".Gross Total Income",
			"Aggregate Amount of deduction",
			"Amount Deductible Under Section 80CCF",
			"Amount Deductible under Section 80 CCG",
			"Amount Deductible under Section any Other Provisions of Chapter VI-A",
			"Total amount deductible under Chapter(VI-A)",
			"Total Taxable Amount",
			"Total Tax",
			"Surcharge",
			"Education Cess",
			"Income Tax Relief",
			"Net Tax Payable",
			"Field is applicable only from F.Y. 2013-14 onwards.",
			"Field is applicable only from F.Y. 2013-14 onwards",
			"Total Amount of TAX Deducted at Source for the Whole Year",
			"ShortFall in Tax Deduction/Excess Tax Deductions",
			"Field is applicable only from F.Y. 2013-14 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2016-17 onwards", "Field is applicable only from F.Y. 2016-17 onwards",
			"Field is applicable only from F.Y. 2013-14 onwards", "Field is applicable only from F.Y. 2013-14 onwards", 
			"Field is applicable only from F.Y. 2013-14 onwards","Field is applicable only from F.Y. 2013-14 onwards",
			"Field is applicable only from F.Y. 2013-14 onwards","Field is applicable only from F.Y. 2013-14 onwards"
			,"Field is applicable only from F.Y. 2013-14 onwards","Field is applicable only from F.Y. 2013-14 onwards",
			/****************** Added for 2.7 Start ********************/
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			//RPU 2.9 start
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2018-19 Onwards",
			"This Field is applicable only from F.Y. 2020-21 Onwards",     //RPU 3.7 Addition of new column rahul
			"This Field is applicable only from F.Y. 2023-24 Onwards",      //rahul CR84532 24Q Addition of column 346A 
			"This Field is applicable only from F.Y. 2023-24 Onwards",		//Added by renuka for CR84532 addition of column 365A
			"This Field is applicable only from F.Y. 2023-24 Onwards",  //Added by renuka for CR84532 addition of column 365B
			"This Field is applicable only from F.Y. 2023-24 Onwards", //Added by renuka for CR84532 addition of column 366A
			"This Field is applicable only from F.Y. 2023-24 Onwards" //Added by renuka for CR84532 addition of column 366B
			//RPU 2.9 end
			/***************** Added for 2.7 End  ********************/
			};
	
	
	public static final String CELL_TOOLTIP_TEXT3_24Q[] = {   //Changes for CR82186 Initialization for Annexure III
			"Serial No.",
			null,
			"Permanent Account Number of the Specified Senior Citizen",
			"Name of the Specified Senior Citizen",
			"Deductee type",
			"",
			"Gross Pension as per provisions contained in clause (ii) section 17(1)",
			"Total deduction under section 16(ia)",
			"Tax on employement section 16(iii)",
			"Total dedcution under section 16 (397+398)",
			"Income  under the head Salaries (396-399)",
			"Interest Income under the other sources paid by the specified bank",
			"Gross Total Income(400+401)",
			"Deduction in respect of life insurance premia, contributions to provident fund etc. u/s 80C (Gross Amount)",
			"Deduction in respect of life insurance premia, contributions to provident fund etc. u/s 80C (Deductible Amount)",
			"Deduction in respect of contribution to certain pension funds u/s 80CCC (Gross Amount)",
			"Deduction in respect of contribution to certain pension funds u/s 80CCC (Dedutible Amount)",
			"Deduction in respect of contribution by taxpayer to pension scheme u/s 80CCD(1) (Gross Amount)",
			"Deduction in respect of contribution by taxpayer to pension scheme u/s 80CCD(1) (Deductible Amount)",
			"Total Deduction  u/s 80C, 80CCC  and 80CCD(1) [does not exceed  Rs. 1,50,000] (404+406+408)",
			"Deductions in respect of amount paid/deposited to notified pension scheme u/s 80CCD (1B)(Gross Amount)",
			"Deductions in respect of amount paid/deposited to notified pension scheme u/s 80CCD (1B)(Deductible Amount)",
			"Deductions in respect of amount paid/deposited to notified pension scheDeduction in respect of health insurance premia u/s 80D(Gross Amount)",
			"Deduction in respect of health insurance premia u/s 80D(Deductible Amount)",
			"Deduction in respect of loan taken for higher education u/s 80E(Gross Amount)",
			"Deduction in respect of loan taken for higher education u/s 80E (Deductible Amount)",
			"Deduction in respect of donations to certain funds, charitableinstitutions, etc. u/s 80G(Gross Amount)",
			"Deduction in respect of donations to certain funds, charitableinstitutions, etc. u/s 80G(Qualifying Amount)",
			"Deduction in respect of donations to certain funds, charitableinstitutions, etc. u/s 80G(Deductible Amount)",
			"Deduction in respect of interest on deposits in savings account u/s 80TTB(Gross Amount)",
			"Deduction in respect of interest on deposits in savings account u/s 80TTB(Qualifying Amount)",
			"Deduction in respect of interest on deposits in savings account u/s 80TTB(Deductible Amount)",
			"Deduction in respect of maintenance including medical treatment of a dependent who is a person with disability u/s 80DD (Gross Amount)",
			"Deduction in respect of maintenance including medical treatment of a dependent who is a person with disability u/s 80DD (Qualifying Amount)",
			"Deduction in respect of maintenance including medical treatment of a dependent who is a person with disability u/s 80DD (Deductible Amount)",
			"Deduction in respect of interest on loan taken for residential house property u/s 80EE(Gross Amount)",
			"Deduction in respect of interest on loan taken for residential house property u/s 80EE(Qualifying Amount)",
			"Deduction in respect of interest on loan taken for residential house property u/s 80EE(Deductible Amount)",
			"Deduction in respect of interest on loan taken for certain house property u/s 80EEA  (Gross Amount)",
			"Deduction in respect of interest on loan taken for certain house property u/s 80EEA  (Qualifying Amount)",
			"Deduction in respect of interest on loan taken for certain house property u/s 80EEA  (Deductible Amount)",
			"Deduction in respect of rents paid u/s 80G (Gross Amount)",
			"Deduction in respect of rents paid u/s 80G (Qualifying Amount)",
			"Deduction in respect of rents paid u/s 80G (Deductible Amount)",
			"Deduction in respect of contributions given by any person to political parties u/s 80GGC   (Gross Amount)",
			"Deduction in respect of contributions given by any person to political parties u/s 80GGC   (Qualifying Amount)",
			"Deduction in respect of contributions given by any person to political parties u/s 80GGC   (Deductible Amount)",
			"Deduction in case of a person with disability u/s 80U (Gross Amount) ",
			"Deduction in case of a person with disability u/s 80U (Qualifying Amount) ",
			"Deduction in case of a person with disability u/s 80U (Deductible Amount) ",
			"Amount deductible under any other provision of Chapter VI-A Section code (Gross Amount)",
			"Amount deductible under any other provision of Chapter VI-A Section code (Qualifying Amount)",
			"Amount deductible under any other provision of Chapter VI-A Section code (Deductible Amount)",
			"Aggregate of deductible amount under Chapter VI-A (409 + 411 + 413 + 415 + 418 + 421 + 425)",
			"Total taxable income (402-426)",
			"Income-tax on total income",
			"Rebate under section 87A, if applicable",
			"Surcharge, wherever applicable",
			"Health and education cess",
			"Tax Payable [428 + 430 +(431-429)]",
			"Relief under section 89",
			"Net tax Payable"
	};
			
			
			 
			 
			
			

	
	
	public static final String COLUMN_HEADER_TOOLTIP_TEXT[] = {
			"Serial No.",
			null,
			"Revision Mode",
			"Last Tan",
			"Updation Mode For Challan",
			"Section Code",
			"Last DDO Registration number",
			"TDS",
			"Last DDO code",
			"Surcharge",
			"Eductaion Cess",
			"Interest",
			"Fee",
			"Others",
			"Last Total Tax Deposited",
			"Total Tax Deposited(4+5+6+7+8+9)",
			"Cheque/DD No(if any)",
			"Last BSR Code/24 G Receipt No.",
			"Last Tax Amount",
			"BSR Code/24 G Receipt No.",
			"Last Date  on which  Tax Deposited",
			"Date  on which  Tax Deposited",
			"Last Nature of deduction *",
			"Last DD0/Transfer Voucher/Challan Serial No.",
			"DD0/Transfer Voucher/Challan Serial No.",
			"Whether TDS Deposited by Book Entry?(Yes/No)",
			"Interset",
			"Others",
			"Minor Head of Challan 200 -TDS payable by taxpayer 400 -TDS regular assessment(Raised by IT Dept)",
			"Challan balance as per consolidated file" };

	public GRPUConstants() {
	}

}
