/**
 * Created By Akansha
 * This file serves as the main file which includes the basic designing and functions for the main screen
 * *******************************************************************************************************************************
 * Sr No.  		Date			Name						New Addition
 * *******************************************************************************************************************************
 * 1.		 25/11/2014			Akansha					Creation of the class
 * 2.		 30/12/2015			Akansha					Addition of calling method DesktopShortcut.createDesktopShortcut()
 * 
 */


package com.tin.etbaf.rpu;

import java.awt.AlphaComposite;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Cursor;
import java.awt.DefaultFocusTraversalPolicy;
import java.awt.Desktop;
import java.awt.Dialog.ModalityType;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.FocusTraversalPolicy;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.GridBagLayout;
import java.awt.Image;
import java.awt.Insets;
import java.awt.RenderingHints;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.font.TextAttribute;
import java.awt.image.BufferedImage;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintStream;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.text.AttributedString;
import java.util.HashMap;
import java.util.List;

import javax.swing.AbstractAction;
import javax.swing.BorderFactory;
import javax.swing.ButtonGroup;
import javax.swing.DefaultComboBoxModel;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JScrollPane;
import javax.swing.JTextField;
import javax.swing.JTextPane;
import javax.swing.KeyStroke;
import javax.swing.SwingConstants;
import javax.swing.Timer;
import javax.swing.UIManager;
import javax.swing.border.BevelBorder;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;
import javax.swing.filechooser.FileFilter;

import org.eclipse.wb.swing.FocusTraversalOnArray;

import com.tin.etbaf.rpu.MarqueeDemo.BlinkPane;

//Akansha added for connection
import com.tin.etbaf.validations.SecondaryValidations;
import com.tin.etbaf.validations.Validations;



/**
 * @param args
 * @throws IOException 
 * @throws NoSuchAlgorithmException 
 * @throws KeyManagementException 
 */
public class GRPUMain extends JFrame {
	//Akansha added for connection
	//Akansha ended for connection
	  boolean on = true;
	//Newly added 9/1/17 for Advertisement Links Button FRD1.9, by Sadhana
	public JPanel newPanel1;
	public JPanel newPanel2;
	//static
	static GRPUMain	grpumain;
	
	JButton btnAdvLoc1 = new JButton();
	JButton btnAdvLoc2 = new JButton() ;
	JButton btnAdvLoc3 = new JButton();
	
	static JButton NSDLMascot = new JButton();
	JButton Blankmascot = new JButton();
	JButton btnAdvLoc4 = new JButton();
	JButton btnAdvLoc5 = new JButton() ;
	JButton btnAdvLoc6 = new JButton();
	//JButton btnAdvLink5 = new JButton() ;
	
	public static boolean tempfileflag=false;
	public static JPanel contentPanel;
	private JButton importButton;
	private JButton importButtonGrpu;
	private JButton submitButton;
	private JButton importButtonReg;
	private JLabel typeofStmtLabel;
	private JButton btnMainHelp;
	public JPanel jpanel1 = new JPanel();
	// for jLabel_FormNumber addec by dhaval 598588
	private JLabel jLabel_FormNumber;
	public JComboBox jComboBox_FormNumber;
	public JTextField jText_FormNumber;
	private MarqueePanel marqueePanel;
	// for jLabel_FormNumber addec by dhaval 598588
	//newly added for FVU5.0 --- 16/03/2016
	private javax.swing.JScrollPane jHelpScrollTextPane = new JScrollPane();
	private JButton viewPDFButton;
	//****************************************
	
	private final static String fontName = "Arial";
	public final static int fontSize = 18;
	public String buttonpress="";
	private int flag=0;
	//new development of FRD1.3 by Akansha
	public static boolean openflag = false;
	public static String filename = ""; // new development for FRD1.3 by Akansha
	public int checkflag=1;
	private JLabel mainLabel;
	private JLabel blinkLabel1;
	private JLabel blinkLabel2;
	private JLabel blinkLabel5;
	private JLabel mainLabel2;
	
	private JLabel filenameLabel;
	private JLabel filenameLabel2;
	private JTextField regFilePath;
	private JTextField regFilePathgrpu;
	RPUFocusListener focusList = new RPUFocusListener();

	JFrame JdialogFrame = new JFrame("");
	public File selectedFile;
	public File aPreSelectedFile;
	public boolean isOpened;
	JRadioButton typeofStmtRadioOriginal, typeofStmtRadioCorrection;
	ButtonGroup btGroup;
	public String typeOfStatement="";
	BevelBorder raisedBevel;
	JRadioButton importTypeGrpu, importTypeFvu;
	ButtonGroup btGroupForImport;

	public JFrame import_fileFrame = new JFrame();
	File selFile = null;

	JDialog jdialog;
	JDialog jframe;
	
	//Added by Akansha
	JDialog jframe_create;
	private javax.swing.JLabel jLabel = null;
	private javax.swing.JLabel jLabel1 = null;
	private javax.swing.JLabel jLabelCIN = null;
	private javax.swing.JLabel jLabelCons=null;
	private javax.swing.JTextField txtInputFileName = null;
	public javax.swing.JTextField txtCINFileName = null;//new development for FRD1.3 by Akansha
	public static javax.swing.JTextField txtErrorFilePath = null; //new development for FRD1.3 by Akansha
	public javax.swing.JTextField consFileName=null;//new development for FRD1.3 by Akansha
	private javax.swing.JButton btnValidate = null;
	private javax.swing.JButton btnExit = null;
	private javax.swing.JButton btnHelp = null;
	private javax.swing.JButton btnPdfHelp = null;
	private javax.swing.JButton btnbrowseInputFileName = null;
	private javax.swing.JButton btnbrowseTempFileName = null;
	private javax.swing.JButton btnbrowseErrorFilePath = null;
	private javax.swing.JButton consTempFileName  = null;
	private javax.swing.JTextPane jHelpTextPane = null;
	public String cinfile;
	private String previousSorurceFileFolder = ""; // store the path of Previous Input Folder opened by File Chooser
	private String previousOutputFileFolder = "";
	private List fileContentToWrite = null;
	private Integer financialYear = 2009;
	private JLabel contactus;
	
	
	public boolean timerValue = true;
		
	//validations object created for RPU1.9
	private Validations validation = new Validations();
	// Main function for initialization of the components
	public GRPUMain() {
		//Akansha added for connection
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		JPanel mainPanel = new JPanel();
		mainPanel.setLayout(null);
		
		//trying to add as per screen size
		Border paneEdge = BorderFactory.createEmptyBorder(0, 10, 10, 10);
		raisedBevel = (BevelBorder) BorderFactory.createRaisedBevelBorder();
		contentPanel = new JPanel();
		contentPanel.setLayout(null);
		contentPanel.setBorder(raisedBevel);
        contentPanel.setBounds(99, 60, 900, 290);//chnged
		btnMainHelp = new JButton("Help");
		btnPdfHelp = new JButton("RPU e-Tutorial");
		btnMainHelp.setFont(new Font("Arial", Font.BOLD, 12));
		btnPdfHelp.setFont(new Font("Arial", Font.BOLD, 12));// newly developed for FRD1.5 by akansha
		btnMainHelp.setBounds(888, 20, 110, 28);
		btnPdfHelp.setBounds(99, 20, 126, 28); //newly developed for FRD1.5 by akansha
		mainPanel.add(btnMainHelp);
		mainPanel.add(btnPdfHelp);//newly developed for FRD1.5 by akansha
		
		/*****************************************************************************************************************/
		//added new panel and four buttons for Advertisement.
		newPanel1 = new JPanel();
		newPanel1.setLayout(null);
		newPanel1.setBorder(raisedBevel);
		newPanel1.setBounds(99, 465, 900, 175);//chnged	
		
		newPanel2 = new JPanel();
		newPanel2.setLayout(null);
		newPanel2.setBorder(raisedBevel);
		newPanel2.setBounds(99, 465, 900, 175);//chnged	
		//Advertisements for RPU 1.9
		/*Called loadingAdvertisementImg function using object of class Validations FRD1.9 on 01/09/2017 */
		
		/*StringBuilder strAdv1 = new StringBuilder();
		strAdv1.append("        You can now get the answers to a range of queries related to PAN/TAN applications quickly and easily through Chat option. Click here to chat with PAN Assist        Online PAN verification facility.       Apply for PAN/TAN online.       Pay taxes online (e-payment)");
		strAdv1.append("<html><u></u></html>");*/
		
		/*String strAdv1 = new String("        You can now get the answers to a range of queries related to PAN/TAN applications quickly and easily through Chat option. Click here to chat with PAN Assist        Online PAN verification facility.       Apply for PAN/TAN online.       Pay taxes online (e-payment)");
		String htmlText = new String("<html><font color='yellow'>" + strAdv1 + "</font></html>");
		JTextPane jTextPane =new JTextPane ();
		jTextPane.setContentType("strAdv1/html");
		jTextPane.setText(htmlText);*/
		
		//String strAdv1 = "1.Online PAN verification facility.       2.Apply for PAN/TAN online.       3.Pay taxes online (e-payment).           4.You can now get the answers to a range of queries related to PAN/TAN applications quickly and easily through Chat option. Click here to chat with PAN Assist,";
		String strAdv1 = "        1.You can now get the answers to a range of queries related to PAN/TAN applications quickly and easily through Chat option. Click here to chat with PAN Assist        2.Online PAN verification facility.       3.Apply for PAN/TAN online.       4.Pay taxes online (e-payment)";
	    
		
		
		
		String strAdv2 = "Advertisement";
		//String strAdv3 = "Pay taxes online (e-payment).";
		final MarqueePanelLink1 marqueePanelAdv1 = new MarqueePanelLink1(strAdv1, 120);
		marqueePanelAdv1.setBounds(230, 20, 652, 35);//chngd
		
		mainPanel.add(marqueePanelAdv1);
		marqueePanelAdv1.start();
		marqueePanelAdv1.addMouseListener(new MouseListener() {
			@Override
			public void mouseReleased(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
			@Override
			public void mousePressed(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
			@Override
			public void mouseExited(MouseEvent arg0) {
				marqueePanelAdv1.start();
			}
			
			@Override
			public void mouseEntered(MouseEvent arg0) {
				marqueePanelAdv1.stop();
			}
			
			@Override
			public void mouseClicked(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
		});
		
		/*marqueePanelAdv2.setBounds(230, 20, 652, 35);//chngd
		mainPanel.add(marqueePanelAdv2);
		marqueePanelAdv2.start();
		marqueePanelAdv2.addMouseListener(new MouseListener() {
			@Override
			public void mouseReleased(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
			@Override
			public void mousePressed(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
			@Override
			public void mouseExited(MouseEvent arg0) {
				marqueePanelAdv2.start();
			}
			
			@Override
			public void mouseEntered(MouseEvent arg0) {
				marqueePanelAdv2.stop();
			}
			
			@Override
			public void mouseClicked(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
		});*/
		
		
		
		//Square
		//RPU 3.0 start
		validation.loadingAdvertisementImg(btnAdvLoc1, "/icon/1_NPS.jpg",15, 12, 250, 150);
		validation.loadingAdvertisementImg(btnAdvLoc2, "/icon/FotorCreated.jpg",325, 12, 250, 150);
		validation.loadingAdvertisementImg(btnAdvLoc3, "/icon/Vidyalakshmi.jpg",635, 12, 250, 150);
		//RPU 3.0 end
		//validation.loadingAdvertisementImg(btnAdvLoc4, "/icon/GST Banner.jpg",15, 12, 250, 150);    //Commented by Payal for CR85567 RPU 4.9
		validation.loadingAdvertisementImg(btnAdvLoc4, "/icon/1_NPS.jpg",15, 12, 250, 150);           //Added by Payal for CR85567 RPU 4.9
		validation.loadingAdvertisementImg(btnAdvLoc5, "/icon/FotorCreated.jpg",325, 12, 250, 150);
		validation.loadingAdvertisementImg(btnAdvLoc6, "/icon/Vidyasaarathi.jpg",635, 12, 250, 150); // added for FRD 2.3. by sadhana
		System.out.println("Outside the nsdl mascot");
		
		newPanel1.add(btnAdvLoc1);		
		newPanel1.add(btnAdvLoc2);		
		newPanel1.add(btnAdvLoc3);		
		mainPanel.add(newPanel1, BorderLayout.SOUTH);
		
		newPanel2.add(btnAdvLoc4);		
		newPanel2.add(btnAdvLoc5);		
		newPanel2.add(btnAdvLoc6);		
		mainPanel.add(newPanel2, BorderLayout.SOUTH);
		TitledBorder title;
		Border blackline = BorderFactory.createLineBorder(Color.black);
		mainPanel.add(new BlinkPane());
		NSDLMascot.setBorder(blackline);
		NSDLMascot.setBorderPainted(false);
  		NSDLMascot.setContentAreaFilled(false);
 		NSDLMascot.setFocusPainted(false);
 		NSDLMascot.setOpaque(true);
  		NSDLMascot.setToolTipText("<html>You can now get the answers to a range of queries related to PAN/TAN applications quickly and easily through Chat option.<br> Click here to chat with PAN Assist</html>");
	    
     mainPanel.add(NSDLMascot);
	validation.loadingAdvertisementImg(NSDLMascot, "/icon/MascotProtean.png",1005, 540, 275, 150);
	

	
    System.out.println("Coming inside function");
 Timer timer1 = new Timer(250, new ActionListener() {
     @Override
     public void actionPerformed(ActionEvent ae) {
         on = !on;
         repaint();
     }
 });
 timer1.setRepeats(true);
 timer1.setCoalesce(true);
 timer1.start();
 
 //@Override
// public void paint(Graphics g) {
// 	System.out.println("Inside Graphics paint");
//     Graphics2D g2d = (Graphics2D) g.create();
//     if (!on) {
//         g2d.setComposite(AlphaComposite.SrcOver.derive(0f));
//     } else {
//         g2d.setComposite(AlphaComposite.SrcOver.derive(1f));
//     }
//     super.paint(g2d); 
//     g2d.dispose();
// }



		
		
				
		Timer timer = new Timer(2000, new ActionListener() {
            @SuppressWarnings("deprecation")
			@Override
            public void actionPerformed(ActionEvent e) {
                if(timerValue == false){
                	newPanel2.hide();
                	newPanel1.show();
                	timerValue = true;
                } else if((timerValue == true)){
                	newPanel1.hide();
                	newPanel2.show();
                	timerValue = false;
                }
            }
        });
        timer.setRepeats(true);
        timer.setCoalesce(true);
        timer.setInitialDelay(0);
        timer.start();
	
        
		/*****************************************************************************************************************/
		initAndAddComponents();
		mainPanel.add(contentPanel, BorderLayout.CENTER);	
		try {
			prerequisitesPopUp();
		} catch (URISyntaxException e) {
			e.printStackTrace();
		}
		
		//newly added for FRD1.5 by akansha
		InitialFocusSetter.setInitialFocus(this,jComboBox_FormNumber);
		//************************************************
		setExtendedState(JFrame.MAXIMIZED_BOTH);
		System.out.println("Content Pane:"+getExtendedState());
		getContentPane().add(mainPanel);
		//Changed contact details by Payal for CR85567 RPU 4.9
		contactus = new JLabel("<html><body><b>Queries / Feedback / Complaints in respect of RPU</b><br><b>Email us:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; tin_returns@proteantech.in<br> <b>Call us:</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 020-2721-8080<br><b> Write to us:</b>&nbsp; Protean eGov Technologies Limited 4th floor, Sapphire Chambers, Baner Road, Baner, Pune  411045.</body></html>");
		contactus.setFont(new Font("Arial", Font.PLAIN, 12));
		contactus.setHorizontalTextPosition(SwingConstants.CENTER);
		contactus.setHorizontalAlignment(SwingConstants.CENTER);
		contactus.setBorder(new BevelBorder(BevelBorder.RAISED, null, null, null, null));
		contactus.setBounds(99, 370, 899, 83);//chngd
		mainPanel.add(contactus);
		
		//newly added for FRD1.5 by akansha
		final MarqueePanelSec marqueePanelTraces = new MarqueePanelSec("For queries related to TDS/TCS consolidated file, Justification reports, Form 16/16A and Addition of challans in TDS/TCS statements at TRACES, you may contact TDS CPC at 0120-4814600 or write to contactus@tdscpc.gov.in. You may also visit www.tdscpc.gov.in.", 200);
		marqueePanelTraces.setBounds(99, 645, 899, 30);//chngd
		mainPanel.add(marqueePanelTraces);
		marqueePanelTraces.start();
		marqueePanelTraces.addMouseListener(new MouseListener() {
			@Override
			public void mouseReleased(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
			@Override
			public void mousePressed(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
			@Override
			public void mouseExited(MouseEvent arg0) {
				marqueePanelTraces.start();
			}
			
			@Override
			public void mouseEntered(MouseEvent arg0) {
				marqueePanelTraces.stop();
			}
			
			@Override
			public void mouseClicked(MouseEvent arg0) {
				// TODO Auto-generated method stub
			}
		});
		
		//**************************************************
		mainPanel.setFocusTraversalPolicy(new FocusTraversalOnArray(new Component[]{jComboBox_FormNumber, typeofStmtRadioOriginal, submitButton, typeofStmtRadioCorrection, importButton, importButtonGrpu, btnPdfHelp, btnMainHelp}));
		/********************************************************/
		//added tempfileflag for backup file on 12/01/2017 FRD1.9
		if(tempfileflag==false)
			setVisible(true);
		else
			setVisible(false);
		/***********************************************/
	}
	
	//*******************************************************

	// Function for reseting the original state of the main screen
	// Used for back functionality and while 'select' option selected on the main screen --- by Akansha
	public void resetAllFields() {
		jComboBox_FormNumber.setEnabled(true);
		jComboBox_FormNumber.setSelectedIndex(0);
		importButton.setEnabled(false);
		importButton.setVisible(false);
		typeofStmtRadioOriginal.setSelected(true);
		typeofStmtRadioCorrection.setEnabled(false);
		filenameLabel.setText("");
		filenameLabel2.setText("");
		filenameLabel.setVisible(false);
		submitButton.setEnabled(false);
		//New dev for ver1.3 added by Akansha
		importButtonReg.setEnabled(false);
		//**********************************
		filenameLabel.setVisible(false);
		filenameLabel2.setVisible(false);
		importButtonGrpu.setVisible(false);
		importButtonGrpu.setEnabled(false);
		submitButton.setVisible(true);
		//New dev for ver1.3 added by Akansha
		importButtonReg.setVisible(true);
	}
	//***********************************************************

	// This particular method helps retain the state of the main screen
	// On click of modal popup retains the state of the form -- by Akansha
	public void retainSaveState(){
		// Enabling the submit button
		jComboBox_FormNumber.setEnabled(false);
		submitButton.setEnabled(false);
		submitButton.setVisible(false);
		//New dev for ver1.3 added by Akansha
		importButtonReg.setEnabled(false);
		importButtonReg.setVisible(false);
		submitButton.setVisible(false);
		//Hiding the import button
		importButton.setEnabled(true);
		importButton.setVisible(true);
		//Hiding the TDS/TCS button
		importButtonGrpu.setEnabled(true);
		importButtonGrpu.setVisible(true);
		//Resetting the original selected value of the radio button
		typeofStmtRadioCorrection.setSelected(true);
		typeofStmtRadioOriginal.setSelected(false);
		contentPanel.validate();
	}
	//******************************************************************
	
	// This particular method helps retain the state of the main screen
	// On click of modal popup resets the old state of the form -- by Akansha
	public void resetOldState(){
		jComboBox_FormNumber.setEditable(false);
		if(jframe!=null)
		jframe.dispose();
		// Enabling the submit button
		submitButton.setEnabled(true);
		submitButton.setVisible(true);
		//New dev for ver1.3 added by Akansha
		importButtonReg.setEnabled(true);
		importButtonReg.setVisible(true);		
		//**********************************
		//Hiding the import button
				importButton.setEnabled(false);
				importButton.setVisible(false);
				System.out.println("State in save imp"+importButton.isVisible());
				//Hiding the TDS/TCS button
				importButtonGrpu.setEnabled(false);
				importButtonGrpu.setVisible(false);
		System.out.println("State in reset"+submitButton.isVisible());
		//New dev for ver1.3 added by Akansha
		System.out.println("State in reset"+importButtonReg.isVisible());
		//*************************************
		//Hiding the import button
		importButton.hide();
		System.out.println("State in reset imp "+importButton.isVisible());
		//Hiding the TDS/TCS button
		importButtonGrpu.hide();
		System.out.println("State in reset impgr"+importButtonGrpu.isVisible());
		//Resetting the original selected value of the radio button
		typeofStmtRadioCorrection.setSelected(false);
		typeofStmtRadioOriginal.setSelected(true);
		System.out.println("Flag in reset:" + checkflag);
	}
	
	//*****************************************************************
	
	static Image scaledInstance(BufferedImage im, double factor) {
        int w = (int) (im.getWidth() * factor);
        int h = (int) (im.getHeight() * factor);
        return im.getScaledInstance(w, h, Image.SCALE_AREA_AVERAGING);
    }
	// Design of the main screen and functional code  --- Modified by Akansha
	private void initAndAddComponents() {
		URL url = null;
		url = getClass().getResource("/icon/iconNSDL.png");
		// Form Design
		GrpuUtil.GRPULogo = Toolkit.getDefaultToolkit().getImage(url);
		//Toolkit.getDefaultToolkit().setDynamicLayout(true);
		
		
		
		setIconImage(GrpuUtil.GRPULogo);
		setTitle(GrpuUtil.GRPU_TITLE);
		//*******************************************************
		//New dev for version1.3 by Akansha
		String strBlink = "is a freely (free of";
		mainLabel = new JLabel(
				"<html><div style=\"text-align: center;\">Protean Quarterly e-TDS/TCS Return Preparation Utility (RPU)</div></html>");  //RPU 3.9 Protean Change
		mainLabel.setBounds(90, 20, 700, 50);
		mainLabel.setFont(new Font(fontName, Font.PLAIN, fontSize));
		contentPanel.add(mainLabel);
		
		
		blinkLabel1 = new JLabel("<html><div><u>is a freely (free of</div></html>");
		blinkLabel1.setBounds(635, 20, 700, 50);
		blinkLabel1.setFont(new Font(fontName, Font.BOLD, fontSize));
		blinkLabel1.setForeground(Color.BLUE);
		contentPanel.add(blinkLabel1);
		
		blinkLabel2 = new JLabel("<html><div><u>cost) downloadable software</u></div></html>");
		blinkLabel2.setBounds(90, 32, 700, 65);
		blinkLabel2.setFont(new Font(fontName, Font.BOLD, fontSize));
		blinkLabel2.setForeground(Color.BLUE);
		contentPanel.add(blinkLabel2);
		
		mainLabel2 = new JLabel("<html><div>for statement(s) pertaining to FY 2007-08 onwards.</div></html>");
		mainLabel2.setBounds(350, 32, 700, 65);
		mainLabel2.setFont(new Font(fontName, Font.PLAIN, fontSize));
		contentPanel.add(mainLabel2);
		
		
		// for jLabel_FormNumber added by dhaval 598588 Start
		jLabel_FormNumber = new JLabel("Form No.");
		jLabel_FormNumber.setBounds(320, 100, 120, 50);
		jLabel_FormNumber.setFont(new Font(fontName, Font.PLAIN,fontSize));
		contentPanel.add(jLabel_FormNumber);
		String jComboBox_Form_Data[] = { "--Select--", "24Q", "26Q", "27Q",
				"27EQ" };
		jComboBox_FormNumber = new JComboBox(jComboBox_Form_Data);
		jComboBox_FormNumber.setFont(new Font("Arial", Font.PLAIN, 12));
		jComboBox_FormNumber.setBackground(Color.white);
		jComboBox_FormNumber.setModel(new DefaultComboBoxModel(new String[] {"--Select--", "24Q", "26Q", "27Q", "27EQ"}));
		jComboBox_FormNumber.setSelectedIndex(0);
		jText_FormNumber = new JTextField();
		jText_FormNumber.setEditable(false);
		jText_FormNumber.setText(jComboBox_FormNumber.getSelectedItem()
				.toString());
		jText_FormNumber.setVisible(true);
		jComboBox_FormNumber.setToolTipText("Select Form Number");

		//Added by Akansha
		btnMainHelp.setToolTipText("Click for Help");
		//RPU 3.0 start 
		btnPdfHelp.setToolTipText("Protean RPU e-Tutorial(Version 3.0)");  //RPU 3.9 Protean Change
		//RPU 3.0 end
		//****************************
		jComboBox_FormNumber.setBounds(415, 100, 126, 28);
		jText_FormNumber.setBounds(470, 118, 100, 20);
		contentPanel.add(jComboBox_FormNumber);
		// for jLabel_FormNumber addec by dhaval 598588 End
		typeofStmtLabel = new JLabel("Select type of Statement to be prepared :");
		typeofStmtLabel.setBounds(100, 145, 350, 50);
		typeofStmtLabel.setFont(new Font(fontName, Font.PLAIN, fontSize));
		contentPanel.add(typeofStmtLabel);

		btGroup = new ButtonGroup();
		typeofStmtRadioOriginal = new JRadioButton("  Regular  ");
		typeofStmtRadioOriginal.setActionCommand("Regular");
		btGroup.add(typeofStmtRadioOriginal);
		typeofStmtRadioOriginal.setFont(new Font(fontName, Font.PLAIN, fontSize));
		typeofStmtRadioOriginal.setBounds(460, 155, 120, 30);
		typeofStmtRadioOriginal.setEnabled(false);
		contentPanel.add(typeofStmtRadioOriginal);

		typeofStmtRadioCorrection = new JRadioButton("  Correction  ");
		typeofStmtRadioCorrection.setActionCommand("Correction");
		btGroup.add(typeofStmtRadioCorrection);
		typeofStmtRadioCorrection.setFont(new Font(fontName, Font.PLAIN, fontSize));
		typeofStmtRadioCorrection.setBounds(600, 155, 150, 30);
		typeofStmtRadioCorrection.setEnabled(false);
		contentPanel.add(typeofStmtRadioCorrection);
		typeofStmtRadioOriginal.setSelected(true);

		importButtonGrpu = new JButton("Open a saved Correction file");
		importButtonGrpu.setFont(new Font("Arial", Font.BOLD, 12));
		importButtonGrpu.setEnabled(false);
		importButtonGrpu.setVisible(false);
		importButtonGrpu.setBounds(183, 215, 220, 30);
		contentPanel.add(importButtonGrpu);

		importButton = new JButton("Import Consolidated TDS/TCS file");
		importButton.setFont(new Font("Arial", Font.BOLD, 12));
		importButton.setEnabled(false);
		importButton.setVisible(false);
		importButton.setBounds(492, 215, 220, 30);
		contentPanel.add(importButton);

		filenameLabel = new JLabel("");
		filenameLabel.setFont(new Font("Arial", Font.PLAIN, 11));
		filenameLabel.setBounds(250, 360, 200, 30);

		filenameLabel2 = new JLabel("");
		filenameLabel2.setBounds(550, 360, 200, 30);

		submitButton = new JButton("Click to Continue");
		submitButton.setFont(new Font("Arial", Font.BOLD, 12));
		submitButton.setEnabled(false);
		submitButton.setBounds(492, 215, 220, 30); 
		
		//New dev for ver1.3 added by Akansha
		importButtonReg = new JButton("Open a saved Regular file");
		importButtonReg.setFont(new Font("Arial", Font.BOLD, 12));
		importButtonReg.setEnabled(false);
		importButtonReg.setBounds(183, 215, 220, 30);
		//*******************************************
		contentPanel.add(submitButton);
		contentPanel.add(importButtonReg);
		submitButton.setEnabled(false);
		//New dev for ver1.3 added by Akansha
		importButtonReg.setEnabled(false);
		//*******************************************
		// Window Listener to handle close event
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent w) {
				System.exit(0);
			}
		});
		// Click to Continue button event handled
		submitButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				submitButtonActionPerformed(e);
			}
		});
		
		//New dev for ver1.3 added by Akansha
		importButtonReg.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				importButtonActionPerformedGrpu(e);
				openflag = true;
			}
		});
		
		// Importing TDS file
		importButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				importButtonActionPerformed(e);
			}
		});
		
		// Import of Saved Regular or Correction file event
		importButtonGrpu.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				importButtonActionPerformedGrpu(e);
			}
		});
		
		// On select of Radio button event handled
		typeofStmtRadioOriginal.addItemListener(new ItemListener() {
			@Override
			public void itemStateChanged(ItemEvent e) {
				if(e.getStateChange() == ItemEvent.SELECTED){
					typeofStmtRadioActionPerformed(e);
					checkflag=1;
				}
			}
		});
		
		typeofStmtRadioCorrection.addItemListener(new ItemListener() {
			@Override
			public void itemStateChanged(ItemEvent e) {
				if (e.getStateChange() == ItemEvent.SELECTED) {
					typeofStmtRadioActionPerformed(e);
					checkflag=0;
			    }
			    else if (e.getStateChange() == ItemEvent.DESELECTED) {
			        // Your deselected code here.
			    }
			}
		});
		
		// for jLabel_FormNumber added by dhaval 598588
		// Handles the enabling and disabling of the buttons on main screen *****
		jComboBox_FormNumber.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				jComboBox_FormNumberActionPerformed(e);
			}
		});

		// help button main screen code --- added by Akansha
		btnMainHelp.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				new GRPUHelp(jComboBox_FormNumber.getSelectedItem().toString());
			}
		});

		// newly developed for FRD1.5 by akansha
		btnPdfHelp.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI(
							"https://www.tin-nsdl.com/downloads/e-tds/JAVA%20RPU%20e-Tutorial%20Version%201.7_.pdf");
					
						
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {

						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});
		

		btnAdvLoc1.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC1");
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {
						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});
		btnAdvLoc2.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC2");
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {
						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});

		btnAdvLoc3.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC3");
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {
						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});
		
		btnAdvLoc4.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC1");  //Changed LOC5 to LOC1 by Payal for CR85567 RPU 4.9
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {
						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});     
		btnAdvLoc5.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC6");
					//uri_btn = new URI("https://www.protean-tinpan.com/services/pan/pan-index.html"); // // CR 85567 RPU 4.9 rahul changes
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {
						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});
		btnAdvLoc6.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC7"); //prod link added for FRD 2.3. by sadhana
					//uri_btn = new URI("https://www.vidyasaarathi.co.in/Vidyasaarathi/"); //UAT link added for FRD 2.3. by sadhana
					
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {
						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});
		NSDLMascot.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					//uri_btn = new URI("http://172.19.75.186/TIN/AdvertisementHitSubmit.do?Advname=LOC8");//http://172.19.75.186/AdvertisementHitSubmit.do?Advname=LOC8");
					
		uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC8");//Prod Link	
					
					//uri_btn = new URI("https://www.tin-nsdl.com/?assistedclosure");
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block  
					e.printStackTrace();
				}
				if (Desktop.isDesktopSupported()) {
					try {
						Desktop.getDesktop().browse(uri_btn);
					} catch (IOException e) {
						e.printStackTrace();
					}
				} else {
				}
			}
		});
		
	}
	/* private static final int IS_OPAQUE  =  3;
	private void setOpaque(boolean isOpaque) {
		
		boolean oldValue = getFlag(IS_OPAQUE);
	        setFlag(IS_OPAQUE, isOpaque);
	        setFlag(OPAQUE_SET, true);
	        firePropertyChange("opaque", oldValue, isOpaque);
		// TODO Auto-generated method stub
		
	}*/

	// End of initAddComponents() method ****************
	
	private void jComboBox_FormNumberActionPerformed(ActionEvent e) {
		if (jComboBox_FormNumber.getSelectedIndex() == 0) {
			jComboBox_FormNumber.setSelectedIndex(0);
			submitButton.setEnabled(false);
			importButtonReg.setEnabled(false); //New dev for ver1.3 added by Akansha
			typeofStmtRadioOriginal.setEnabled(false);
			typeofStmtRadioCorrection.setEnabled(false);
			importButtonGrpu.setEnabled(false);
			importButton.setEnabled(false);
			return;
		} else {
			typeofStmtRadioOriginal.setEnabled(true);
			//Commented to stop Correction
			typeofStmtRadioCorrection.setEnabled(true);
			submitButton.setEnabled(true);
			importButtonReg.setEnabled(true); //New dev for ver1.3 added by Akansha
			importButtonGrpu.setEnabled(true);
			importButton.setEnabled(true);
		}
	}
	//************************************************************
	// for jLabel_FormNumber added by dhaval 598588
	private void typeofStmtRadioActionPerformed(ItemEvent e) {
		typeOfStatement = btGroup.getSelection().getActionCommand();
		System.out.println(typeofStmtRadioOriginal.isSelected());
		System.out.println(typeOfStatement);
		// Re-enabling the combo box for selection
		jComboBox_FormNumber.setEnabled(true);//chk
		if (typeOfStatement.equalsIgnoreCase("Regular")) {
			filenameLabel2.setText("");
			filenameLabel.setText("");
			submitButton.setEnabled(true);
			//New dev for ver1.3 added by Akansha
			importButtonReg.setEnabled(true);
			importButton.setEnabled(false);
			importButton.setVisible(false);
			filenameLabel.setVisible(false);
			filenameLabel2.setVisible(false);
			importButtonGrpu.setVisible(false);
			importButtonGrpu.setEnabled(false);
			submitButton.setVisible(true);
			//New dev for ver1.3 added by Akansha
			importButtonReg.setVisible(true);
		} 
		else if (typeOfStatement.equalsIgnoreCase("Correction")) {
			createCustomDialog();
		} else {
			filenameLabel2.setText("");
			filenameLabel.setText("");
			submitButton.setEnabled(false);
			importButton.setEnabled(false);
			importButton.setVisible(false);
			filenameLabel.setVisible(false);
			filenameLabel2.setVisible(false);
			importButtonGrpu.setVisible(false);
			importButtonGrpu.setEnabled(false);
			submitButton.setVisible(true);
			//New dev for ver1.3 added by Akansha
			importButtonReg.setEnabled(false);
			importButtonReg.setVisible(true);
		}
	}
	
// Custom dialog box creation for popup on click of correction button  --- by Akansha
	public void createCustomDialog() { 
		jframe = new JDialog(new JFrame(),"Message",ModalityType.APPLICATION_MODAL);
		jframe.setFont(new Font("Arial", Font.PLAIN, 14));
		JLabel jlabel = new JLabel("Please import latest Consolidated TDS/TCS file to prepare correction statement.",SwingConstants.CENTER);
		JButton button = new JButton("OK");
		JPanel jpanel = new JPanel();
		jpanel.setLayout(new FlowLayout());
		jpanel.add(jlabel);
		jpanel.add(button);
		jframe.getContentPane().add(jpanel);
		jframe.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent arg0) {
				resetOldState();
				checkflag=1;
				jComboBox_FormNumber.setEditable(false);
			}
			public void windowClosed(WindowEvent arg0) {		
				jframe.setDefaultCloseOperation(DISPOSE_ON_CLOSE);	
			}
		});
		jframe.getRootPane().getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW)
				.put(KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), "Cancel"); //$NON-NLS-1$
		jframe.getRootPane().getActionMap().put("Cancel", new AbstractAction() { //$NON-NLS-1$
					public void actionPerformed(ActionEvent e) {
						jframe.dispose();
						resetOldState();//new development for FRD1.3 by Akansha
					}
				});
		// **************
		button.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				flag=1;
				jframe.dispose();
				retainSaveState();
			}
		});
		jframe.setSize(465, 90);
		jframe.setResizable(false);
		jframe.setLocationRelativeTo(contentPanel); 
		jframe.setVisible(true);
	}
//******************************************************************
	// Custom dialog box creation for popup on click of correction button  --- by Akansha
		public void prerequisitesPopUp() throws URISyntaxException {
			jframe = new JDialog(new JFrame(),"Message",ModalityType.APPLICATION_MODAL);
			jframe.setFont(new Font("Arial", Font.PLAIN, 14));
		// Assigning values to the components
		JLabel jlabel6 = new JLabel(
				"<html>&nbsp;&nbsp;&nbsp;"
						+ "Pre-requisites for JAVA RPU installation:"
						+ "<br>&nbsp;&nbsp;"
						+ "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
						+ "1. JRE (JAVA Run-time Environment)"
						+ " [version: SUN JRE: 1.6 onwards] should be installed " //RPU 3.1 start prev version 1.6
						+ "<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
						+ "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
						+ "on the computer where the e-TDS/TCS RPU is being installed. "
						+ "(Note: You can ask your"
						+ " <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
						+ "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
						+ "vendor providing computer "
						+ "facilities (hardware) to install the same for you or the same"
						+ " <br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
						+ "&nbsp;&nbsp;"
						+ " can be downloaded from the following links:"
						+ "</html>");
		JLabel jlabel4 = new JLabel(
				"<html>&nbsp;&nbsp;&nbsp;&nbsp;</html>");
		final JButton button = new JButton("OK");
		JButton button1 = new JButton("a) http://java.sun.com");
		JButton button2 = new JButton(
				"b) http://www.ibm.com/developerworks/java/jdk");
		JLabel jlabel5 = new JLabel(")<br>");
		JLabel jlabel3 = new JLabel(
				"<html>"
						+ "2. Operating system version should be Windows 2003 and above for Windows users."
						+ "<br>3. JAVA RPU utility should be installed on the "
						+ "same path as of e-TDS/TCS FVU utility jars.</html>");
		// **********************************************************************************
		// Adding components to the Panels
		JPanel jpanel = new JPanel();
		JPanel jpanel1 = new JPanel();
		JPanel jpanel2 = new JPanel();
		jpanel.setLayout(new BorderLayout());
		jpanel1.setLayout(new FlowLayout());	
		jpanel2.setLayout(new FlowLayout());	
		jpanel1.add(jlabel6);
		jpanel1.add(jlabel4);	
		jpanel1.add(button1);
		jpanel1.add(button2);
		jpanel1.add(jlabel3);
		jpanel1.setBounds(0,0, 200,200);
		jpanel2.add(button);
		jpanel.add(jpanel1,BorderLayout.CENTER);
		jpanel.add(jpanel2,BorderLayout.SOUTH);
		// **********************************************************************************
		// setting properties to the button components
		jlabel6.setHorizontalAlignment(SwingConstants.LEFT);
		button1.setHorizontalAlignment(SwingConstants.LEFT);
		button1.setBorderPainted(false);
		button1.setOpaque(false);
		button1.setBackground(Color.WHITE);
		button1.setMargin(new Insets(0, 0, 0, 0));
		button2.setHorizontalAlignment(SwingConstants.LEFT);
		button2.setBorderPainted(false);
		button2.setOpaque(false);
		button2.setBackground(Color.WHITE);
		button2.setMargin(new Insets(0, 0, 0, 0));
		// **********************************************************************************
		//Opening of the link methods
		final URI uri = new URI("http://java.sun.com");
		 class OpenUrlAction implements ActionListener {
		      public void actionPerformed(ActionEvent e) {
		        open(uri);
		      }
		    }
		 final URI uri2 = new URI("http://www.ibm.com/developerworks/java/jdk");
		 class OpenUrlAction2 implements ActionListener {
		      public void actionPerformed(ActionEvent e) {
		        open(uri2);
		      }
		    }
		 
	    button1.addActionListener(new OpenUrlAction());
	    button2.addActionListener(new OpenUrlAction2());
	    
	 // ----- Define FocusTraversalPolicy
        FocusTraversalPolicy policy = new DefaultFocusTraversalPolicy() {
             @Override
             public Component getDefaultComponent(Container aContainer) {
                  return button;
             }
        };
	    //***********************************************************************************
		jframe.getContentPane().add(jpanel);
		jframe.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent arg0) {
				jframe.dispose();
			}
			public void windowClosed(WindowEvent arg0) {

			}
		});
		jframe.getRootPane().getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW)
				.put(KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), "Cancel"); //$NON-NLS-1$
		jframe.getRootPane().getActionMap().put("Cancel", new AbstractAction() { //$NON-NLS-1$
					public void actionPerformed(ActionEvent e) {
						jframe.dispose();
					}
				});
		/* ***************************************************/
		//added Prerequisite Ok button event for backup file on 12/01/2017 FRD1.9
		button.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				File f1 = new File("TDS_RPU_bckup");
				if (f1.exists()) {
					GRPU grpu_1 = null;
					BufferedReader in = null;
					try {
						in = new BufferedReader(new FileReader(f1));
					} catch (FileNotFoundException e1) {
						// TODO Auto-generated catch block
						e1.printStackTrace();
					}
					String message = "Do you want to retain data?";
					int answer = JOptionPane.showConfirmDialog(null, message,message, JOptionPane.YES_NO_OPTION);
					if (answer == JOptionPane.YES_OPTION) {
						selFile = f1;
						tempfileflag = true;
						okButton("Open");
						jframe.dispose(); 
					} else if (answer == JOptionPane.NO_OPTION) {
						jframe.dispose(); 
					}
				} else {
					jframe.dispose(); 
				}
			}
		});
		/************************************************************/
		jframe.getRootPane().setDefaultButton(button);
		jframe.setFocusTraversalPolicy(policy);
		jframe.setSize(590, 215);
		jframe.setResizable(false);
		jframe.setLocationRelativeTo(contentPanel);
		jframe.setVisible(true);
		}
		
		/* ***************************************************/
		//added okButton function for backup file on 12/01/2017 FRD1.9
		private void okButton(String method) {
			setComponents(method,"tempfile");
		}
		/**********************************************************/
	
	// R&D Custom dialog box creation for popup on click of correction button  --- by Akansha
		public String createCustomDialogPopup() {
			jframe = new JDialog(new JFrame(),"Message",ModalityType.APPLICATION_MODAL);
			jframe.setFont(new Font("Arial", Font.PLAIN, 12));
			String str="";
			JLabel jlabel = new JLabel("Enter the Row number to be deleted:",SwingConstants.CENTER);
			final JTextField jtext = new JTextField();
			JButton okbtn = new JButton("OK");
			JButton cnlbtn = new JButton("Cancel");
			JPanel jpanel = new JPanel();
			jpanel.setLayout(new FlowLayout());
			jpanel.add(jlabel);
			jpanel.add(jtext);
			jtext.setColumns(18);
			jpanel.add(okbtn);
			jpanel.add(cnlbtn);
			jframe.getContentPane().add(jpanel);
			jframe.getRootPane().setDefaultButton(okbtn);
			//New dev for ver1.3 added by Akansha
			jtext.setDocument(new SecondaryValidations(5)); // Added to restrict the value entered to be of length 5
			jframe.getRootPane().getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(
			            KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), "Cancel"); //$NON-NLS-1$
			jframe.getRootPane().getActionMap().put("Cancel", new AbstractAction(){ //$NON-NLS-1$
			            public void actionPerformed(ActionEvent e)
			            {
			            	jframe.dispose();
			            }
			        });

			//**************
			//jframe.setModalityType(ModalityType.APPLICATION_MODAL);	
			okbtn.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent arg0) {
					buttonpress="";
					buttonpress+="OK";
					jframe.dispose();	
				}
			});
			cnlbtn.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent arg0) {
					buttonpress="";
					buttonpress+="CL";
					jframe.dispose();	
				}
			});
			jframe.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent arg0) {
					jframe.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
				}
				public void windowClosed(WindowEvent arg0) {		
					jframe.setDefaultCloseOperation(DISPOSE_ON_CLOSE);	
				}
			});
			jtext.addKeyListener(new KeyListener() {
				@Override
				public void keyTyped(KeyEvent arg0) {
					new SecondaryValidations().numericValidation(jtext, "Please enter only numeric values");
				}
				@Override
				public void keyReleased(KeyEvent arg0) {
				}
				
				@Override
				public void keyPressed(KeyEvent arg0) {
					new SecondaryValidations().numericValidation(jtext, "Please enter only numeric values");
				}
			});
			jframe.setSize(250, 110);
			jframe.setResizable(false);
			jframe.setLocationRelativeTo(contentPanel); 
			jframe.setVisible(true);
			return jtext.getText().toString()+","+buttonpress;
		}
	//******************************************************************	
		// R&D Custom dialog box creation for popup on click of correction button  --- by Akansha
				public String createCustomDialogAddPopup() {
					jframe = new JDialog(new JFrame(),"Message",ModalityType.APPLICATION_MODAL);
					jframe.setFont(new Font("Arial", Font.PLAIN, 12));
					String str="";
					JLabel jlabel = new JLabel("Enter number of rows to be added:",SwingConstants.CENTER);
					final JTextField jtext = new JTextField();
					JButton okbtn = new JButton("OK");
					JButton cnlbtn = new JButton("Cancel");
					JPanel jpanel = new JPanel();
					jpanel.setLayout(new FlowLayout());
					jpanel.add(jlabel);
					jpanel.add(jtext);
					jtext.setColumns(18);
					jpanel.add(okbtn);
					jpanel.add(cnlbtn);
					jframe.getContentPane().add(jpanel);
					jframe.getRootPane().setDefaultButton(okbtn); // Added for listening 'Enter' key event
					//New dev for ver1.3 added by Akansha
					jtext.setDocument(new SecondaryValidations(5)); // Added to restrict the value entered to be of length 5
					jframe.getRootPane().getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(
					            KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0), "Cancel"); //$NON-NLS-1$
					jframe.getRootPane().getActionMap().put("Cancel", new AbstractAction(){ //$NON-NLS-1$
					            public void actionPerformed(ActionEvent e)
					            {
					            	jframe.dispose();
					            }
					        });
					//**************
					okbtn.addActionListener(new ActionListener() {
						public void actionPerformed(ActionEvent arg0) {
							buttonpress="";
							buttonpress+="OK";
							jframe.dispose();	
						}
					});
					cnlbtn.addActionListener(new ActionListener() {
						public void actionPerformed(ActionEvent arg0) {
							buttonpress="";
							buttonpress+="CL";
							jframe.dispose();	
						}
					});
					jframe.addWindowListener(new WindowAdapter() {
						public void windowClosing(WindowEvent arg0) {
							jframe.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
						}
						public void windowClosed(WindowEvent arg0) {		
							jframe.setDefaultCloseOperation(DISPOSE_ON_CLOSE);	
						}
					});
					jtext.addKeyListener(new KeyListener() {
						@Override
						public void keyTyped(KeyEvent arg0) {
							new SecondaryValidations().numericValidation(jtext, "Please enter only numeric values");
						}
						@Override
						public void keyReleased(KeyEvent arg0) {
						}
						@Override
						public void keyPressed(KeyEvent arg0) {
							new SecondaryValidations().numericValidation(jtext, "Please enter only numeric values");
						}
					});
					jframe.setSize(250, 110);
					jframe.setResizable(false);
					jframe.setLocationRelativeTo(contentPanel); 
					jframe.setVisible(true);
					return jtext.getText().toString()+","+buttonpress;
				}
			//******************************************************************	
	
	public void createCustomDialogNew(String Filename , List Filecontent, String finyear,boolean flag,String filetype) {
		finyear = finyear.substring(0, 4);
		fileContentToWrite = Filecontent;
		financialYear = Integer.parseInt(finyear);
		//## Newly added by Akansha for Ver1.1
		jframe_create= new JDialog(new JFrame(), "Provide Path for Creating file Text/.FVU file",
				ModalityType.APPLICATION_MODAL);
		//***************************************
		//newly developed for fRD1.5 by akansha
		if(txtCINFileName!=null && txtErrorFilePath!=null && consFileName!=null && "C".equals(filetype)){
			if("".equals(txtCINFileName.getText().toString()) || "".equals(txtErrorFilePath.getText().toString())
					|| "".equals(consFileName.getText().toString())){
				flag=true;
			}
		}
		if(txtCINFileName!=null && txtErrorFilePath!=null && "R".equals(filetype)){
			if("".equals(txtCINFileName.getText().toString()) || "".equals(txtErrorFilePath.getText().toString())
					){
				flag=true;
			}
		}
		//*************************************************		
		if(flag){
		getJContentPane(this.jpanel1,filetype);
		txtInputFileName.setText(Filename);
		jframe_create.getContentPane().add(this.jpanel1);
		jframe_create.setSize(700, 220);
		jframe_create.setLocation(250, 250);
		//## Newly commented by Akansha for Ver1.1
		//********************************************
		jframe_create.setResizable(false);
		jframe_create.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		jframe_create.setIconImage(GrpuUtil.GRPULogo);
		jframe_create.addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				jframe_create.dispose();
			}
		});
		btnValidate.setEnabled(false);
		jframe_create.setVisible(true);
		}else{
			try {
				getBtnValidateMethod();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}
	
//******************************************************************
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	//newly added for FVU5.0 --- 16/03/2016
	private void getJContentPane(JPanel jContentPane,String filetype)
	{

		java.awt.GridBagConstraints consGridBagConstraints14 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints15 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints16 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints12 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints17 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints38 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints18 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints39 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints40 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints41 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints42 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints43 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints45 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints44 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints46 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints47 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints48 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints49 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints50 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints51 = new java.awt.GridBagConstraints();
		java.awt.GridBagConstraints consGridBagConstraints1 = new java.awt.GridBagConstraints();
		//newly added for FVU5.0
		java.awt.GridBagConstraints gbc_viewPDFButton = new java.awt.GridBagConstraints();
		consGridBagConstraints1.gridy = 4;
		consGridBagConstraints1.gridx = 3;
		consGridBagConstraints1.gridwidth = 1;
		consGridBagConstraints1.insets = new java.awt.Insets(6, 7, 10, 10);
		consGridBagConstraints17.gridy = 8;
		consGridBagConstraints17.gridx = 0;
		consGridBagConstraints17.gridheight = 2;
		consGridBagConstraints14.gridy = 2;
		consGridBagConstraints14.gridx = 0;
		consGridBagConstraints18.gridy = 8;
		consGridBagConstraints18.gridx = 1;
		consGridBagConstraints15.fill = java.awt.GridBagConstraints.BOTH;
		consGridBagConstraints15.weightx = 1.0;
		consGridBagConstraints15.gridy = 1;
		consGridBagConstraints15.gridx = 1;
		consGridBagConstraints16.fill = java.awt.GridBagConstraints.BOTH;
		consGridBagConstraints16.weightx = 1.0;
		consGridBagConstraints16.gridy = 2;
		consGridBagConstraints16.gridx = 1;
		consGridBagConstraints43.insets = new java.awt.Insets(8, 7, 4, 10);
		consGridBagConstraints43.gridy = 1;
		consGridBagConstraints43.gridx = 3;
		consGridBagConstraints43.anchor = java.awt.GridBagConstraints.EAST;
		consGridBagConstraints12.gridy = 1;
		consGridBagConstraints12.gridx = 0;
		consGridBagConstraints12.anchor = java.awt.GridBagConstraints.NORTH;
		consGridBagConstraints12.fill = java.awt.GridBagConstraints.BOTH;
		consGridBagConstraints14.fill = java.awt.GridBagConstraints.BOTH;
		consGridBagConstraints42.insets = new java.awt.Insets(11, 7, 7, 3);
		consGridBagConstraints42.fill = java.awt.GridBagConstraints.HORIZONTAL;
		consGridBagConstraints42.weightx = 1.0;
		consGridBagConstraints42.gridwidth = 2;
		consGridBagConstraints42.gridy = 1;
		consGridBagConstraints42.gridx = 1;
		consGridBagConstraints39.insets = new java.awt.Insets(11, 7, 7, 3);
		consGridBagConstraints39.fill = java.awt.GridBagConstraints.HORIZONTAL;
		consGridBagConstraints39.weightx = 1.0;
		consGridBagConstraints39.gridwidth = 2;
		consGridBagConstraints39.gridy = 0;
		consGridBagConstraints39.gridx = 1;
		consGridBagConstraints40.insets = new java.awt.Insets(8, 7, 4, 10);
		consGridBagConstraints40.gridy = 0;
		consGridBagConstraints40.gridx = 3;
		consGridBagConstraints40.anchor = java.awt.GridBagConstraints.EAST;
		consGridBagConstraints38.insets = new java.awt.Insets(13, 10, 9, 3);
		consGridBagConstraints38.gridy = 0;
		consGridBagConstraints38.gridx = 0;
		consGridBagConstraints38.anchor = java.awt.GridBagConstraints.WEST;
		consGridBagConstraints38.fill = java.awt.GridBagConstraints.NONE;
		consGridBagConstraints45.insets = new java.awt.Insets(8, 7, 4, 10);
		consGridBagConstraints45.gridy = 4;
		consGridBagConstraints45.gridx = 3;
		consGridBagConstraints45.gridwidth = 2;
		consGridBagConstraints44.insets = new java.awt.Insets(11, 163, 7, 3);
		consGridBagConstraints44.gridwidth = 4;
		consGridBagConstraints44.gridy = 4;
		consGridBagConstraints44.gridx = 1;
		//newly added by priya for FVU 5.0
		gbc_viewPDFButton.gridwidth = 6;
		gbc_viewPDFButton.insets = new java.awt.Insets(13, 10, 9, 3);
		gbc_viewPDFButton.gridx = 0;
		gbc_viewPDFButton.gridy = 4;
		gbc_viewPDFButton.anchor =  java.awt.GridBagConstraints.WEST;
		gbc_viewPDFButton.fill = java.awt.GridBagConstraints.NONE;
		jContentPane.add(getViewPDFButton(), gbc_viewPDFButton);
		//End :: newly added by priya for FVU 5.0
		//******************
		consGridBagConstraints41.insets = new java.awt.Insets(13, 10, 9, 3);
		consGridBagConstraints41.gridy = 1;
		consGridBagConstraints41.gridx = 0;
		consGridBagConstraints41.anchor = java.awt.GridBagConstraints.WEST;
		consGridBagConstraints41.fill = java.awt.GridBagConstraints.NONE;
		consGridBagConstraints46.insets = new java.awt.Insets(13, 10, 9, 3);
		consGridBagConstraints46.gridy = 2;
		consGridBagConstraints46.gridx = 0;
		consGridBagConstraints46.anchor = java.awt.GridBagConstraints.WEST;
		consGridBagConstraints46.fill = java.awt.GridBagConstraints.NONE;
		consGridBagConstraints47.insets = new java.awt.Insets(11, 7, 7, 3);
		consGridBagConstraints47.gridwidth = 2;
		consGridBagConstraints47.gridy = 2;
		consGridBagConstraints47.gridx = 1;
		consGridBagConstraints47.fill = java.awt.GridBagConstraints.HORIZONTAL;
		consGridBagConstraints47.weightx = 1.0;
		consGridBagConstraints48.insets = new java.awt.Insets(8, 7, 4, 10);
		consGridBagConstraints48.gridy = 2;
		consGridBagConstraints48.gridx = 3;
		consGridBagConstraints48.anchor = java.awt.GridBagConstraints.EAST;
		consGridBagConstraints49.insets = new java.awt.Insets(16, 12, 11, 3);
		consGridBagConstraints49.gridy = 3;
		consGridBagConstraints49.gridx = 0;
		consGridBagConstraints49.anchor = java.awt.GridBagConstraints.WEST;
		consGridBagConstraints49.fill = java.awt.GridBagConstraints.NONE;
		consGridBagConstraints50.insets = new java.awt.Insets(11, 7, 7, 3);
		consGridBagConstraints50.gridwidth = 2;
		consGridBagConstraints50.gridy = 3;
		consGridBagConstraints50.gridx = 1;
		consGridBagConstraints50.fill = java.awt.GridBagConstraints.HORIZONTAL;
		consGridBagConstraints50.weightx = 1.0;
		consGridBagConstraints51.insets = new java.awt.Insets(8, 7, 4, 10);
		consGridBagConstraints51.gridy = 3;
		consGridBagConstraints51.gridx = 3;
		consGridBagConstraints51.anchor = java.awt.GridBagConstraints.EAST;
		jContentPane.setLayout(new java.awt.GridBagLayout());
		jContentPane.add(getJLabelCons(), consGridBagConstraints49);    //added by manas
		jContentPane.add(getConsFileName(filetype), consGridBagConstraints50);  //added by manas
		jContentPane.add( getBtnbrowseConsFileName(filetype), consGridBagConstraints51);   //added by manas
		getTxtInputFileName();
		jContentPane.add(getJLabelCIN(), consGridBagConstraints41);
		jContentPane.add(getTxtCINFilePath(), consGridBagConstraints42); //added by sourabh for CIN File Upload
		jContentPane.add(getBtnbrowseCINFileName(), consGridBagConstraints43); //added by sourabh for CIN File Upload
		jContentPane.add(getJLabel1(), consGridBagConstraints46);
		jContentPane.add(getTxtErrorFilePath(), consGridBagConstraints47);
		jContentPane.add(getBtnbrowseErrorFilePath(), consGridBagConstraints48);
		jContentPane.add(getViewPDFButton(), gbc_viewPDFButton);
		jContentPane.add(getBtnValidate(), consGridBagConstraints44);
		jContentPane.add(getBtnExit(), consGridBagConstraints45);
		txtCINFileName.setToolTipText("filename extension .csi");
	//return jContentPane;
}
	
	// Added for FVU 5.0
		private JButton getViewPDFButton() {
			if (viewPDFButton == null) {
				viewPDFButton = new JButton("Click here to know procedure about filing of e-TDS/TCS statement(s)");
				viewPDFButton.setForeground(Color.red);
			}viewPDFButton.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent arg0) {
					if (Desktop.isDesktopSupported()) {
			            try {
			                File myFile = new File( "Filing procedure.pdf");
			                Desktop.getDesktop().open(myFile);
			            } catch (IOException ex) {
			                // no application registered for PDFs
			            }
			        }
			}
		});
			return viewPDFButton;
		}
	/**
	 * This method initializes jLabel
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel()
	{
		if (jLabel == null)
		{
			jLabel = new javax.swing.JLabel();
			jLabel.setText("TDS / TCS Input File Name with Path ");
		}
		return jLabel;
	}
	/**
	 * This method initializes jLabel1
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel1()
	{
		if (jLabel1 == null)
		{
			jLabel1 = new javax.swing.JLabel();
			jLabel1.setText("Error/Upload & Statistics Report File Path");
		}
		return jLabel1;
	}
	//added by sourabh for CIN File Upload
	
	private javax.swing.JLabel getJLabelCIN()
		{
			if (jLabelCIN == null)
			{
				jLabelCIN = new javax.swing.JLabel();
				jLabelCIN.setText("Challan Input File Name with Path");
			}
			return jLabelCIN;
		}
	
	//added for cons_file also in FVU
	private javax.swing.JLabel getJLabelCons()
	{
		if (jLabelCons == null)
		{
			jLabelCons = new javax.swing.JLabel();
			jLabelCons.setText("Consolidate File Name with Path");
		}
		return jLabelCons;
	}
	
	/**
	 * This method initializes txtInputFileName
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getTxtInputFileName()
	{
		if (txtInputFileName == null)
		{
			txtInputFileName = new javax.swing.JTextField();
			txtInputFileName.setPreferredSize(new java.awt.Dimension(150, 19));
			txtInputFileName.setEditable(false);
			txtInputFileName.addFocusListener(new FocusListener()
			{
				public void focusGained(FocusEvent arg0)
				{
				}
				public void focusLost(FocusEvent arg0)
				{
					String inputFilePath = txtInputFileName.getText().trim();
					String errorFilePath = txtErrorFilePath.getText().trim();
					if (inputFilePath.length() != 0 && errorFilePath.length() != 0)
					{
						btnValidate.setEnabled(true);
					}
				}
			});
		}
		return txtInputFileName;
	}
	/**
	 * This method initializes txtErrorFilePath
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getTxtErrorFilePath()
	{
		if (txtErrorFilePath == null)
		{
			txtErrorFilePath = new javax.swing.JTextField();
			txtErrorFilePath.setPreferredSize(new java.awt.Dimension(150, 19));
			txtErrorFilePath.addFocusListener(new FocusListener()
			{
				public void focusGained(FocusEvent arg0)
				{
				}
				public void focusLost(FocusEvent arg0)
				{
					System.out.println("Input file name: "+txtInputFileName.getText().trim() );
					String inputFilePath = txtInputFileName.getText().trim();
					String errorFilePath = txtErrorFilePath.getText().trim();
					System.out.println("Input file path: "+txtErrorFilePath.getText().trim() );
					if (errorFilePath.length() != 0 && inputFilePath.length() != 0)
					{
						btnValidate.setEnabled(true);
					}
				}
			});
		}
		return txtErrorFilePath;
	}
	//added by sourabh for CIN File Upload
	
	private javax.swing.JTextField getTxtCINFilePath()
		{
			if (txtCINFileName == null)
			{
				txtCINFileName = new javax.swing.JTextField();
				txtCINFileName.setPreferredSize(new java.awt.Dimension(150, 19));
				txtCINFileName.addFocusListener(new FocusListener()
				{
					public void focusGained(FocusEvent arg0)
					{
					}
					public void focusLost(FocusEvent arg0)
					{
						String inputFilePath = txtInputFileName.getText().trim();
						String errorFilePath = txtErrorFilePath.getText().trim();
						if (errorFilePath.length() != 0 && inputFilePath.length() != 0 )
						{
							btnValidate.setEnabled(true);
						}
					}
				});
			}
			return txtCINFileName;
		}
	
	//added for consfile
	private javax.swing.JTextField getConsFileName(String filetype)
	{
		if (consFileName == null)
		{
			consFileName = new javax.swing.JTextField();
			consFileName.setPreferredSize(new java.awt.Dimension(150, 19));
			//newly added for FRD1.5 by akansha on 30/03/2016
			System.out.println("Type of statement: "+ btGroup.getSelection().getActionCommand());
			if("R".equals(filetype))
				consFileName.setEnabled(false);
			else
				consFileName.setEnabled(true);
			consFileName.addFocusListener(new FocusListener()
			{
				public void focusGained(FocusEvent arg0)
				{
				}
				public void focusLost(FocusEvent arg0)
				{
					String inputFilePath = consFileName.getText().trim();
					String errorFilePath = consFileName.getText().trim();
					if (inputFilePath.length() != 0 && errorFilePath.length() != 0)
					{
						btnValidate.setEnabled(true);
					}
				}
			});
			
		}else{
			//newly added for FRD1.5 by akansha on 30/03/2016
			System.out.println("Type of statement: "+ btGroup.getSelection().getActionCommand());
			if("R".equals(filetype))
				consFileName.setEnabled(false);
			else
				consFileName.setEnabled(true);
		}
	
		return consFileName;
	}
	
	/**
	 * This method initializes btnbrowseInputFileName
	 * 
	 * @return javax.swing.JButton
	 * 
	 */
	private javax.swing.JButton getBtnbrowseInputFileName()
	{
		if (btnbrowseInputFileName == null)
		{
			btnbrowseInputFileName = new javax.swing.JButton();
			btnbrowseInputFileName.setText("Browse");
			btnbrowseInputFileName.setToolTipText("CHOOSE A FILE FOR VALIDATION");
			btnbrowseInputFileName.setPreferredSize(new java.awt.Dimension(84, 25));
			try
			{
				btnbrowseInputFileName.addActionListener(new java.awt.event.ActionListener()
				{
					public void actionPerformed(java.awt.event.ActionEvent e)
					{
						JFileChooser jf = new JFileChooser();
						jf.setAcceptAllFileFilterUsed(true);
						System.out.println("Input file path: "+previousSorurceFileFolder.trim());
						
						if (previousSorurceFileFolder.trim().length() == 0)
						{
							jf.setCurrentDirectory(jf.getCurrentDirectory());
						}
						else
						{
							File currentFile = new File(previousSorurceFileFolder.trim());
							jf.setCurrentDirectory(currentFile);
						}
						jf.setDialogTitle("Open Input File Name");
						jf.addChoosableFileFilter(new MyFilterFVU());
						int result = jf.showOpenDialog(((JButton) e.getSource()).getParent().getParent().getParent().getParent());
						if (result == JFileChooser.CANCEL_OPTION)
						{
							// No Statement
						}
						else if (result == JFileChooser.ERROR_OPTION)
						{
							// No Statement
						}
						else
						{}
					}
				});
			}
			catch (Exception e)
			{
				System.err.println("Exception in  getBtnbrowseInputFileName method  : "); e.printStackTrace();
			}
		}
		return btnbrowseInputFileName;
	}
	private javax.swing.JButton getBtnbrowseCINFileName()
		{
			if (btnbrowseTempFileName == null)
			{
				btnbrowseTempFileName = new javax.swing.JButton();
				btnbrowseTempFileName.setText("Browse");
				btnbrowseTempFileName.setToolTipText("CHOOSE A CIN FILE FOR VALIDATION");
				btnbrowseTempFileName.setPreferredSize(new java.awt.Dimension(84, 25));
				try
				{
					btnbrowseTempFileName.addActionListener(new java.awt.event.ActionListener()
					{
						public void actionPerformed(java.awt.event.ActionEvent e)
						{
							JFileChooser jf = new JFileChooser();
							//new development for FRD1.6 by Akansha
							File f = null;
							
							try {
								f = new File(new File(new Validations().savedfilepath).getCanonicalPath());
							} catch (IOException e1) { 
								// TODO Auto-generated catch block
								e1.printStackTrace();
							}
							//************************************************
							jf.setAcceptAllFileFilterUsed(false);
							jf.addChoosableFileFilter(new MyFilterCIN());
							//System.out.println("File path Akki depends on the saved path of the file: "+f);
							if (previousSorurceFileFolder.trim().length() == 0)
							{
								jf.setCurrentDirectory(f); //jf.getCurrentDirectory()
							}
							else
							{
								File currentFile = new File(previousSorurceFileFolder.trim());
								jf.setCurrentDirectory(f); //currentFile
							}
							jf.setDialogTitle("Open CIN File Name");
							int result = jf.showOpenDialog(((JButton) e.getSource()).getParent().getParent().getParent().getParent());
							if (result == JFileChooser.CANCEL_OPTION)
							{
								// No Statement
							}
							else if (result == JFileChooser.ERROR_OPTION)
							{
								// No Statement
							}
							else
							{
								txtCINFileName.setText(jf.getSelectedFile().getPath());
								cinfile = jf.getSelectedFile().getPath();
								previousSorurceFileFolder = jf.getSelectedFile().getPath();
								//System.out.println("File path for saving Akki : "+jf.getSelectedFile().getPath());
								if (txtErrorFilePath.getText().length() != 0 && txtInputFileName.getText().length() != 0)
									btnValidate.setEnabled(true);
								//Enable the validate button after selecting the I/P file name and Error file name 
							}
						}
					});
				}
				catch (Exception e)
				{
					System.err.println("Exception in  getBtnbrowseInputFileName method  : "); e.printStackTrace();
				}
			}
			return btnbrowseTempFileName;
		}
	/**
	 * This method initializes btnbrowseErrorFilePath
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getBtnbrowseErrorFilePath()
	{
		if (btnbrowseErrorFilePath == null)
		{
			btnbrowseErrorFilePath = new javax.swing.JButton();
			btnbrowseErrorFilePath.setText("Browse");
			btnbrowseErrorFilePath.setToolTipText("CHOOSE A FOLDER TO SAVE OUTPUT FILE");
			btnbrowseErrorFilePath.setPreferredSize(new java.awt.Dimension(84, 25));
			btnbrowseErrorFilePath.addActionListener(new java.awt.event.ActionListener()
			{
				public void actionPerformed(java.awt.event.ActionEvent e)
				{
					JFileChooser jf = new JFileChooser();
					jf.setSelectedFile(new File(txtInputFileName.getText().trim())); // newly added for FRD1.3 by Akansha
					File f = null;
					//temp code
					try {
						System.out.println("Saved file path inside try: "+new Validations().savedfilepath );
						//new development for FRD1.3 by Akansha
						String temp = new Validations().savedfilepath;
						String temp3 = "";
						if(temp!=null && !"".equals(temp)){
							//System.out.println("Last Index of String \\: "+ temp.lastIndexOf("\\"));
						System.out.println("Last Index of File.separator: "+ temp.lastIndexOf(File.separator));
						int temp2 = temp.lastIndexOf(File.separator);
						temp3 = temp.substring(0,temp2);
						}
						
						//***********************************************************************
						f = new File(new File(temp3+File.separator+txtInputFileName.getText().trim()).getCanonicalPath());
						//f = new File(new File(txtInputFileName.getText().trim()).getCanonicalPath());
					} catch (IOException e1) {
						// TODO Auto-generated catch block
						e1.printStackTrace();
					}
					//end of temp code
					//new development for FRD1.3 by Akansha
					jf.setSelectedFile(f); // initial value ---->new File(txtInputFileName.getText().trim())
					jf.setDialogTitle("Specify a file to create");
					//jf.setApproveButtonToolTipText("CHOOSE A FOLDER TO SAVE OUTPUT FILE");
					//int result = jf.showOpenDialog(((JButton) e.getSource()).getParent().getParent().getParent().getParent());
						int result = jf.showSaveDialog(null);
					if (result == JFileChooser.CANCEL_OPTION)
					{
						// No Statement
					}
					else if (result == JFileChooser.ERROR_OPTION)
					{
						// No Statement
					}
					else
					{
						txtErrorFilePath.setText(jf.getSelectedFile().getPath());
						previousOutputFileFolder = jf.getSelectedFile().getPath();
						if (txtErrorFilePath.getText().length() != 0 && txtInputFileName.getText().length() != 0)
							btnValidate.setEnabled(true);
					}
				}
			});
		}
		return btnbrowseErrorFilePath;
	}
	
	private javax.swing.JButton getBtnbrowseConsFileName(String filetype)
	{
		if (consTempFileName == null)
		{
			consTempFileName = new javax.swing.JButton();
			consTempFileName.setText("Browse");
			consTempFileName.setToolTipText("CHOOSE A CONS FOR VALIDATION");
			consTempFileName.setPreferredSize(new java.awt.Dimension(84, 25));
			System.out.println("File type:"+filetype);
			//newly added for FRD1.5 by akansha on 30/03/2016
			if("R".equals(filetype))
				consTempFileName.setEnabled(false);
			else
				consTempFileName.setEnabled(true);
			try
			{
				consTempFileName.addActionListener(new java.awt.event.ActionListener()
				{
					public void actionPerformed(java.awt.event.ActionEvent e)
					{
						JFileChooser jf = new JFileChooser();
						File f = null;
						//new development for FRD1.3 by Akansha
						try {
							System.out.println("Saved file path inside try: "+new Validations().savedfilepath );
							f = new File(new File(new Validations().savedfilepath).getCanonicalPath());
						} catch (IOException e1) { 
							// TODO Auto-generated catch block
							e1.printStackTrace();
						}
						//************************************************
						
						jf.setAcceptAllFileFilterUsed(false);
						jf.addChoosableFileFilter(new MyFilterFVU());
						if (previousSorurceFileFolder.trim().length() == 0)
						{
							jf.setCurrentDirectory(f); ////new development for FRD1.3 by Akansha
						}
						else
						{
							File currentFile = new File(previousSorurceFileFolder.trim());
							jf.setCurrentDirectory(f); ////new development for FRD1.3 by Akansha
						}
						jf.setDialogTitle("Open  a CONS File Name");
						int result = jf.showOpenDialog(((JButton) e.getSource()).getParent().getParent().getParent().getParent());
						if (result == JFileChooser.CANCEL_OPTION)
						{
							// No Statement
						}
						else if (result == JFileChooser.ERROR_OPTION)
						{
							// No Statement
						}
						else
						{
							consFileName.setText(jf.getSelectedFile().getPath());
//							consfile = jf.getSelectedFile().getPath();
							previousSorurceFileFolder = jf.getSelectedFile().getPath();
							if (txtErrorFilePath.getText().length() != 0 && txtInputFileName.getText().length() != 0)
								btnValidate.setEnabled(true);
							//Enable the validate button after selecting the I/P file name and Error file name 
						}
					}
				});
				
			}
			catch (Exception e)
			{
				System.err.println("Exception in  getBtnbrowseConsFileName method  : ");e.printStackTrace();
			}
		}else{
			System.out.println("File type:"+filetype);
			//newly added for FRD1.5 by akansha on 30/03/2016
			if("R".equals(filetype))
				consTempFileName.setEnabled(false);
			else
				consTempFileName.setEnabled(true);
		}
		
		
		return consTempFileName;
	}
	
	//new development for FRD1.3 by Akansha
	public void getBtnValidateMethod() throws IOException
	{
		//new development for FRD1.3 by Akansha
		String temp = txtErrorFilePath.getText().trim();
		//System.out.println("Last Index of String \\: "+ temp.lastIndexOf("\\"));
		System.out.println("Last Index of File.separator: "+ temp.lastIndexOf(File.separator));
		int temp2 = temp.lastIndexOf(File.separator);
		String temp3 = temp.substring(0,temp2);
		//***********************************************************************
		// Bug Fix for production issue of Ver1.3 & Ver1.2 -- by akansha
		String txtFileName = txtErrorFilePath.getText().trim()+".txt"; 
        //**************************************************************
		//new development for FRD1.5 by Akansha
		if(!"".equals(filename)){
			int res = JOptionPane.showConfirmDialog(contentPanel,temp.substring((temp2+1),temp.length()) +".txt already exists. Do you want to replace it?", "Create File", JOptionPane.YES_NO_CANCEL_OPTION);
			if(res==0){
		        File file = new File(txtFileName);
		    	BufferedWriter out = new BufferedWriter(new FileWriter(file));
		    	for (Object x : fileContentToWrite)
		        {
		    		out.write(x.toString()+System.getProperty("line.separator"));
		        }	        	    	
		    	out.close();
				String errorFileName = txtErrorFilePath.getText().trim()+".err";
				String cinFileName = txtCINFileName.getText().trim();
				String consoFile="";
				if(consFileName!=null && consFileName.getText()!=null)
					consoFile=consFileName.getText().trim();
				String fvu_version = "8.5";//RPU 3.8 VersionChange Production problem
				                           //RPU 3.9 VersionChange Chatbot FVU
				                           //RPU 4.0 Changes for CR82186 Version Change FVU 7.5
				                           //RPU 4.1 Changes for CR82683 Version Change FVU 7.6 
				                           //RPU 4.2 Changes for CR82937 Version Change FVU 7.7
				                           //RPU 4.3 Changes for CR82937 Version Change FVU 7.8
				                           //RPU 4.4 Changes for CR83190 Version Change FVU 7.9
				                           //RPU 4.5 Changes for CR83677 Version Change FVU 8.0
				                           //RPU 4.6 Changes for CR76613 Version Change FVU 8.1 Only Bug Fix
				                           //RPU 4.7 Changes for CR84532 Version Change FVU 8.2
				                           //RPU 4.8 Changes for CR85831 Version Change FVU 8.3
										   //RPU 4.9 Changes for CR85567 Version Change FVU 8.4
				                           //RPU 5.0 Changes for CR85881 Version Change FVU 8.5
				
		        if(financialYear<=2009)
		        {
		        	System.out.println("---LOWER---");
		        	fvu_version = "2.181"; //RPU 3.9 Version Change
		        	                       //RPU 3.9 VersionChange Chatbot FVU
		        	                       //RPU 4.0 Changes for CR82186 Version Change FVU 7.5
		        }                          //RPU 4.1 Changes for CR82683 Version Change FVU 2.172
		                                   //RPU 4.2 Changes for CR82937 Version Change FVU 2.173
		                                   //RPU 4.3 Changes for CR82937 Version Change FVU 2.174
		                                   //RPU 4.4 Changes for CR83190 Version Change FVU 2.175
		                                   //RPU 4.5 Changes for CR83677 Version Change FVU 2.176
		                                   //RPU 4.6 Changes for CR76611 Version Change FVU 2.177 Only Bug Fix
		                                   //RPU 4.7 Changes for CR84532 Version Change FVU 2.178
		                                   //RPU 4.8 Changes for CR84532 Version Change FVU 2.179
		        						   //RPU 4.9 Changes for CR85567 Version Change FVU 2.180
		                                   //RPU 5.0 Changes for CR85881 Version Change FVU 2.181
		        else
		        {
		        	System.out.println("---UPPER---");
		        	fvu_version = "8.5";//RPU 3.9 version chnage
		        	                    //RPU 4.0 Changes for CR82186 Version Change FVU 7.5
		        	                    //RPU 4.1 Changes for CR82683 Version Change FVU 7.6
		        	                    //RPU 4.2 Changes for CR82937 Version Change FVU 7.7
		        	                    //RPU 4.3 Changes for CR82937 Version Change FVU 7.8
		        	                    //RPU 4.4 Changes for CR83190 Version Change FVU 7.9
		        	                    //RPU 4.5 Changes for CR83677 Version Change FVU 8.0
		        	                    //RPU 4.7 Changes for CR84532 Version Change FVU 8.2 
		        	                    //RPU 4.8 Changes for CR85831 Version Change FVU 8.3
		        						//RPU 4.9 Changes for CR85567 Version Change FVU 8.4
		        	                    //RPU 5.0 Changes for CR85881 Version Change FVU 8.5
		        }
		        //new change for savedfile path by Akansha
		        String[] args2={txtFileName,errorFileName,txtErrorFilePath.getText().trim()+".fvu","0",fvu_version,"1",cinFileName,consoFile};
		        System.out.println("calling main method");
		        if(financialYear<=2009)
		        {
		        	LowerFvu.fvu(args2);
		        	System.out.println("---LOWER---");
		        }
		        else
		        {
		        	UpperFvu.fvu(args2);
		        	System.out.println("---UPPER---");     	        	
		        }
		        jframe_create.dispose();
			}else if(res == 1){
				JOptionPane.showMessageDialog(null,"File not created");
			}
		}else{
			 //temp code
			// Bug Fix for production issue of Ver1.3 --- by Akansha
	        filename =  txtErrorFilePath.getText().trim()+".txt"; // temp3+"\\"+txtInputFileName.getText().trim()+ ".txt";
	        //end of temp code
	        File file = new File(txtFileName);
	    	BufferedWriter out = new BufferedWriter(new FileWriter(file));
	    	for (Object x : fileContentToWrite)
	        {
	    		out.write(x.toString()+System.getProperty("line.separator"));
	        }	        	    	
	    	out.close();
			String errorFileName = txtErrorFilePath.getText().trim()+".err";
			String cinFileName = txtCINFileName.getText().trim();
			String consoFile="";
			if(consFileName!=null && consFileName.getText()!=null)
				consoFile=consFileName.getText().trim();
			String fvu_version = "8.5"; //RPU 3.9 Version change
			                            //RPU 4.0 Changes for CR82186 Version Change FVU 7.5
			                            //RPU 4.1 Changes for CR82683 Version Change FVU 7.6
			                            //RPU 4.2 Changes for CR82937 Version Change FVU 7.7
			                            //RPU 4.3 Changes for CR82937 Version Change FVU 7.8
			                            //RPU 4.4 Changes for CR83190 Version Change FVU 7.9
			                            //RPU 4.5 Changes for CR83677 Version Change FVU 8.0
			                            //RPU 4.6 Changes for CR76613 Version Change FVU 8.1 Only Bug Fix
			                            //RPU 4.7 Changes for CR84532 Version Change FVU 8.2 
			                            //RPU 4.8 Changes for CR85831 Version Change FVU 8.3
										//RPU 4.9 Changes for CR85567 Version Change FVU 8.4
			                            //RPU 5.0 Changes for CR85881 Version Change FVU 8.5
	        if(financialYear<=2009)
	        {
	        	System.out.println("---LOWER---");
	        	fvu_version = "2.181";  //RPU 3.9
	        	                         //RPU 4.1 Changes for CR82683 Version Change FVU 2.172
	        	                         //RPU 4.2 Changes for CR82937 Version Change FVU 2.173
	        	                         //RPU 4.3 Changes for CR82937 Version Change FVU 2.174
	        	                         //RPU 4.4 Changes for CR83190 Version Change FVU 2.175
	        	                         //RPU 4.5 Changes for CR83677 Version Change FVU 2.176
	        	                         //RPU 4.6 Changes for CR76611 Version Change FVU 2.177 Only Bug Fix
	        	                         //RPU 4.7 Changes for CR84532 Version Change FVU 2.178
	        	                         //RPU 4.8 Changes for CR84532 Version Change FVU 2.179
	        							 //RPU 4.9 Changes for CR85567 Version Change FVU 2.180
	        	                         //RPU 5.0 Changes for CR85881 Version Change FVU 2.181
	        }
	        else
	        {
	        	System.out.println("---UPPER---");
	        	fvu_version = "8.5"; //RPU 3.9 Version change
	        	                     //RPU 4.0 Changes for CR82186 Version Change FVU 7.5
	        	                     //RPU 4.1 Changes for CR82683 Version Change FVU 7.6
	        	                     //RPU 4.2 Changes for CR82937 Version Change FVU 7.7
	        	                     //RPU 4.3 Changes for CR82937 Version Change FVU 7.8
	        	                     //RPU 4.4 Changes for CR83190 Version Change FVU 7.9
	        	                     //RPU 4.5 Changes for CR83677 Version Change FVU 8.0
	        	                     //RPU 4.6 Changes for CR76613 Version Change FVU 8.1 Only Bug Fix
	        	                     //RPU 4.7 Changes for CR84532 Version Change FVU 8.2
	        	                     //RPU 4.8 Changes for CR85831 Version Change FVU 8.3
	        						 //RPU 4.9 Changes for CR85567 Version Change FVU 8.4
	        	                     //RPU 5.0 Changes for CR85881 Version Change FVU 8.5
	        }
	        //new change for savedfile path by Akansha
	        String[] args2={txtFileName,errorFileName,txtErrorFilePath.getText().trim()+".fvu","0",fvu_version,"1",cinFileName,consoFile};
	        System.out.println("calling main method");
	        if(financialYear<=2009)
	        {
	        	LowerFvu.fvu(args2);
	        	System.out.println("---LOWER---");
	        }
	        else
	        {
	        	UpperFvu.fvu(args2);
	        	System.out.println("---UPPER---");     	        	
	        }
	        jframe_create.dispose();
		}
       //********************************************************************************
	}
	//**********************************************************************
	/**
	 * This method initializes btnValidate
	 * 
	 * @return javax.swing.JButton
	 */
	public javax.swing.JButton getBtnValidate()
	{
		if (btnValidate == null)
		{
			btnValidate = new javax.swing.JButton();
			btnValidate.setText("Validate");
			btnValidate.setToolTipText("VALIDATE FILE");
			btnValidate.setPreferredSize(new java.awt.Dimension(84, 25));
			btnValidate.addActionListener(new java.awt.event.ActionListener()
			{
				public void actionPerformed(final java.awt.event.ActionEvent e)
				{
					try{
						//new development for FRD1.3 by Akansha
						getBtnValidateMethod();
						//**************************************
					}
					catch(Exception e1)
					{
						System.out.println("---eXCEPTION IS:- "+e1);
					}
				}
			});
		}
		return btnValidate;
	}
	private javax.swing.JButton getBtnExit()
	{
		if (btnExit == null)
		{
			btnExit = new javax.swing.JButton();
			btnExit.setText("Exit");
			btnExit.setToolTipText("CLOSE THE PROGRAM");
			btnExit.setPreferredSize(new java.awt.Dimension(84, 25));
			btnExit.addActionListener(new java.awt.event.ActionListener()
			{
				public void actionPerformed(java.awt.event.ActionEvent e)
				{
					jframe_create.dispose();
				}
			});
		}
		return btnExit;
	}
	// Import of the saved 'Regular' or 'Correction' file
	// Modified by Akansha
	private void importButtonActionPerformedGrpu(ActionEvent e) {

		String fileExtsn = "";
		String getFileName = "";
		int gChk = 0;
		boolean gHashChk = false;
		try {
			selFile = funOpenDialogBoxGRPU("File"); //GRPU
			if (selFile != null) {
				getFileName = selFile.getName();
				fileExtsn = "";
				if (!fileExtsn.equalsIgnoreCase("")) { //.grpu
					//getMessage("Invalid File.Please Select .grpu File Only.");
					getMessage("File not proper");
					selFile = funOpenDialogBoxGRPU("File"); //GRPU
				}
				filenameLabel.setText(getFileName);
				filenameLabel2.setText("");
				if (!filenameLabel2.equals("") || !filenameLabel.equals("")) {
					setComponents("Open","");
				}
			}
		} catch (Exception e2) {
			e2.printStackTrace();
		}
	}
//*********************************************************************
	// Import of TDS file ---- modified by Akansha
	private void importButtonActionPerformed(ActionEvent e) {
		String fileExtsn = "";
		String getFileName = "";
		int gChk = 0;
		boolean gHashChk = false;
		try {
			selFile = funOpenDialogBoxGRPU("TDS");
			if (selFile != null) {
				getFileName = selFile.getName();
				fileExtsn = getFileName.substring(getFileName.lastIndexOf("."),
						getFileName.length());
				filenameLabel2.setText(getFileName);
				filenameLabel.setText("");
				if (!filenameLabel2.equals("") || !filenameLabel.equals("")) {
					setComponents("Import","");
				}
			}
		} catch (Exception e2) {
			e2.printStackTrace();
		}
	}
	//**********************************************************************
	// Designing the Form i.e the second screen immediate after the welcome screen
	private void setComponents(String method,String typeOfFile) {
		Font font = UIManager.getFont("ComboBox.font");
		Font plainFont = new Font(fontName, Font.PLAIN, fontSize - 6);
		UIManager.put("ComboBox.font", plainFont);
		Font plainFontLabel = new Font(fontName, Font.PLAIN, fontSize-6);
		UIManager.put("Label.font", plainFontLabel);
		String typeOfStatementValue = "";
		String formNumber = "";
		String str="";
		//cholia here comes the type of statement and form number
		GRPU grpu_1 = null;
		//added for importing the correction saved files and import files
		if ("".equals(typeOfFile)) {
			typeOfStatementValue = btGroup.getSelection().getActionCommand();
			formNumber = jComboBox_FormNumber.getSelectedItem().toString();
			if ("Import".equals(method)
					|| ("Correction".equals(typeOfStatementValue)))
				grpu_1 = new GRPU(typeOfStatementValue, selFile, this,
						jComboBox_FormNumber.getSelectedItem().toString(),
						method,typeOfFile);
			else if ("Open".equals(method)
					&& ("Regular".equals(typeOfStatementValue)))
				grpu_1 = new GRPU(typeOfStatementValue, selFile, this,
						jComboBox_FormNumber.getSelectedItem().toString(),
						method,typeOfFile); // New dev for ver1.3 added by Akansha
			else
				grpu_1 = new GRPU(typeOfStatementValue, null, this,
						jComboBox_FormNumber.getSelectedItem().toString(),
						method,typeOfFile); // New dev for ver1.3 added by Akansha
		}else{
			/* ***************************************************/
			//else part added for backup file on 12/01/2017 FRD1.9
			BufferedReader in=null;
			try {
				in = new BufferedReader(new FileReader(selFile));
				str=in.readLine();
				List<String> BatchHeader = GrpuUtil.tokeniseBH(str);
				formNumber = BatchHeader.get(4).toString();
				String dist = BatchHeader.get(62).toString();
				if("CONS".equals(dist)){
					typeOfStatementValue = "Correction";
				}
				else{
					typeOfStatementValue = "Regular";
				    }
				grpu_1 = new GRPU(typeOfStatementValue, selFile, this,
						formNumber,
						method,typeOfFile);
			} catch (IOException e) {
				e.printStackTrace();
			}finally{
				try {
					in.close();
					this.setVisible(false);
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
			/*************************************************************/
		}
	}
	
	private void submitButtonActionPerformed(ActionEvent e) {
		setComponents("Openi","");
	}
	//********************************************************************
	// File dialog box code
	public File funOpenDialogBoxGRPU(String typeOfFile) {
		String filename = File.separator + "tmp";
		JFileChooser fc = new JFileChooser();
		fc.setPreferredSize(new Dimension(500, 326));
		File selFile = null;
		fc.setAcceptAllFileFilterUsed(false);
		if (typeOfFile.equalsIgnoreCase("File")) {
			fc.addChoosableFileFilter(new MyFilterGRPU());
		} else {
			fc.addChoosableFileFilter(new MyFilterFVU());
		}
		int result = fc.showOpenDialog(import_fileFrame); //yahan
		System.out.println("Window close:"+result);
		switch (result) {
		case 0: // '\0'
			selFile = fc.getSelectedFile();
			if (!checkFileName(selFile.getName())) {
				getMessage("Invalid File Name.\n  :  /  ?  >  <  *  \"  |  \\  ^ or Space, not allowed in File Name.");
				selFile = setSelectedFile(fc);
			} else {
				selFile = fc.getSelectedFile();
			}
			aPreSelectedFile = selFile;
			break;
		case 1: // '\001'
			selFile = null;
			JOptionPane.showMessageDialog(contentPanel, "  Path not found  ");
			break;
		case -1:
			selFile = null;
			break;
		}
		if (selFile == null)
			isOpened = false;
		else
			isOpened = true;
		selectedFile = selFile;
		System.out.println("selected file:"+selectedFile);
		return selFile;
	}
	//************************************************************

	private File setSelectedFile(JFileChooser theFileChooser) {
		int aResult = theFileChooser.showOpenDialog(import_fileFrame);
		File aFile = theFileChooser.getSelectedFile();
		boolean isFirst = true;
		switch (aResult) {
		default:
			break;
		case 0: // '\0'
			if (!checkFileName(aFile.getName())) {
				getMessage("Invalid File Name.\n  :  /  ?  >  <  *  \"  |  \\  ^ or Space, not allowed in File Name.");
				aFile = setSelectedFile(theFileChooser);
			} else {
				aFile = theFileChooser.getSelectedFile();
			}
			break;
		case 1: // '\001'
			aFile = null;
			break;
		case -1:
			aFile = null;
			break;
		}
		System.out.println("set selected file:"+aFile);
		return aFile;
	}
	// Method for validating the name of the file being expected
	private boolean checkFileName(String nameOfTheFile) {
		for (int i = 0; i < nameOfTheFile.length(); i++)
			if (nameOfTheFile.charAt(i) == '/'
					|| nameOfTheFile.charAt(i) == ':'
					|| nameOfTheFile.charAt(i) == '*'
					|| nameOfTheFile.charAt(i) == '?'
					|| nameOfTheFile.charAt(i) == '"'
					|| nameOfTheFile.charAt(i) == '<'
					|| nameOfTheFile.charAt(i) == '>'
					|| nameOfTheFile.charAt(i) == '|'
					|| nameOfTheFile.charAt(i) == '\\'
					|| nameOfTheFile.charAt(i) == ' '
					|| nameOfTheFile.charAt(i) == '^')
				return false;
		return true;
	}
	//************************************************************
	class MyFilterGRPU extends FileFilter {
		public boolean accept(File file) {
			String filename = file.getName();
			return file.isDirectory() || filename.endsWith("");
		}
		public String getDescription() {
			return "";
		}
		MyFilterGRPU() {
		}
	}
	class MyFilterFVU extends FileFilter {
		public boolean accept(File file) {
			String filename = file.getName();
			return file.isDirectory() || filename.endsWith(".tds");
		}
		public String getDescription() {
			return "*.tds";
		}
		MyFilterFVU() {
		}
	}

	class MyFilterCIN extends FileFilter {
		public boolean accept(File file) {
			String filename = file.getName();
			return file.isDirectory() || filename.endsWith(".csi");
		}
		public String getDescription() {
			return "*.csi";
		}
		MyFilterCIN() {
		}
	}
	/**Main method
	 * @param args
	 */	
	public static void main(String[] args){
		PrintStream rpuLogs  = null;
		try {
			rpuLogs = new PrintStream(new FileOutputStream("./rpu.log"));
			System.setOut(rpuLogs);
			System.setErr(rpuLogs);
			//newly developed for FRD1.5 by akansha
			//For version check in the logs 
			System.out.println("Version of RPU: 5.0"); //RPU 3.8 VersionChange Production problem
			                                           //RPU 3.9 Version Change Chatbot
			                                           //RPU 4.0 Changes for CR82186 Version Change FVU 7.5
			                                           //RPU 4.1 Changes for CR82683 Version Change FVU 7.6 
			                                           //RPU 4.2 Changes for CR82937 Version Change FVU 7.7
			                                           //RPU 4.3 Changes for CR82937 Version Change FVU 7.8
			                                           //RPU 4.4 Changes for CR83190 Version Change FVU 7.9
			                                           //RPU 4.5 Changes for CR83677 Version Change FVU 8.0
			                                           //RPU 4.6 Changes for CR76613 Version Change FVU 8.1 Only Bug Fix
			                                           //RPU 4.7 Changes for CR84532 Version Change FVU 8.2
			                                           //RPU 4.8 Changes for CR85831 Version Change FVU 8.3
													   //RPU 4.9 Changes for CR85567 Version Change FVU 8.4
			                                           //RPU 5.0 Changes for CR85881 Version Change FVU 8.5
			//***************************************
			grpumain=new GRPUMain() ;
			
		} catch (FileNotFoundException e2) {
			System.out.println("Cannot create log file");
			e2.printStackTrace();
			System.exit(0);
		}
		
		
   
		//new development for FRD1.5 by akansha
		//********************************************
	}

	public static void open(URI uri)
	 {
	    if (Desktop.isDesktopSupported()) {
	      try {
	        Desktop.getDesktop().browse(uri);
	      } catch (IOException e) { /* TODO: error handling */ }
	    } else { 
	    	
	   }
	  }
	public void getMessage(String message) {
		JOptionPane.showMessageDialog(JdialogFrame, message);
	}
	
	public static JButton marqueeButtonProp(JButton btnMarquee, String str1) {
		btnMarquee.setText( "       You can now get the answers to a range of queries related to PAN/TAN applications quickly and easily through Chat option. <u>Click here</u> to chat with PAN Assist        Online PAN verification facility.       Apply for PAN/TAN online.       Pay taxes online (e-payment)</html>");
		btnMarquee.setFont(new Font("Arial",  Font.BOLD, 14));
		
	   
		/*HashMap<TextAttribute, Object> textAttrMap = new HashMap<TextAttribute, Object>();
		textAttrMap.put(TextAttribute.UNDERLINE, TextAttribute.UNDERLINE_ON);//(TextAttribute.UNDERLINE_ON);
		//textAttrMap.put(TextAttribute.FOREGROUND, Color.red);
		btnMarquee.setFont(btnMarquee.getFont().deriveFont(textAttrMap));*/
		
		//btnMarquee.setText( "      <html>  You can now get the answers to a range of queries related to PAN/TAN applications quickly and easily through Chat option. <u>Click here</u> to chat with PAN Assist        Online PAN verification facility.       Apply for PAN/TAN online.       Pay taxes online (e-payment)</html>");
		btnMarquee.setForeground(new Color(136, 60, 42));
		btnMarquee.setMargin(new Insets(0,0,0,0));
		btnMarquee.setBorderPainted(false);
		btnMarquee.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR)); 
		btnMarquee.setFocusPainted(false); 
		btnMarquee.setRequestFocusEnabled(false); 
		btnMarquee.setContentAreaFilled(false);
		return btnMarquee;
	}
}
// Code for displaying marquee on the main screen
class MarqueePanel extends JPanel implements ActionListener {

	private static final int RATE = 12;
	private final Timer timer = new Timer(1000 / RATE, this);
	private final JLabel label = new JLabel();
	private final String s;
	private final int n;
	private int index;

	public MarqueePanel(String s, int n) {
		if (s == null || n < 1) {
			throw new IllegalArgumentException("Null string or n < 1");
		}
		StringBuilder sb = new StringBuilder(n);
		for (int i = 0; i < n; i++) {
			sb.append(' ');
		}
		this.s = sb + s + sb;
		this.n = n;
		Color blackColor =Color.BLACK;
		label.setFont(new Font("Arial", Font.BOLD, 16));
		label.setText(sb.toString());
		label.setForeground(blackColor);
		this.add(label);
	}

	public void start() {
		timer.start();
	}

	public void stop() {
		timer.stop();
	}

	public void actionPerformed(ActionEvent e) {
		index++;
		if (index > s.length() - n) {
			index = 0;
		}
		label.setText(s.substring(index, index + n));
	}
	public static void writeCreateFile(String canonicalFilename, String text)
	throws IOException {
	File file = new File(canonicalFilename);
	BufferedWriter out = new BufferedWriter(new FileWriter(file));
	out.write(text);
	out.close();
	}
}
/******************************************************************************************************/
/*Created new Marquee class for links, for  FRD1.9 on 02/13/2017 */
class MarqueePanelLink1 extends JPanel implements ActionListener {

	private static final int RATE = 8;
	private final Timer timer = new Timer(1000 / RATE, this);
	private final JButton btnMarqueeLink1 = new JButton();
	private final String s1;
	private final int n;
	private int index;

	public MarqueePanelLink1(String str1, int n) {
		if (str1 == null || n < 1) {
			throw new IllegalArgumentException("Null string or n < 1");
		}
		StringBuilder sb1 = new StringBuilder(n);
		for (int i = 0; i < n; i++) {
			sb1.append(' ');
		}
		
		
		this.s1 = sb1 + str1 + sb1;
		
		this.n = n;
		
        GRPUMain.marqueeButtonProp(btnMarqueeLink1, str1);
        this.add(btnMarqueeLink1);

        btnMarqueeLink1.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					//uri_btn = new URI("http://www.uat.tin-nsdl.com/?assistedclosure");
					uri_btn = new URI("https://www.tin-nsdl.com/?assistedclosure"); //RPU 4.0 Change 
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				 if (Desktop.isDesktopSupported()) {
				      try {
				        Desktop.getDesktop().browse(uri_btn);
				      } catch (IOException e) { 
				    	  e.printStackTrace();
				      }
				    } else { 
				   }
			}
		});
	}

	public void start() {
		timer.start();		
	}

	public void stop() {
		timer.stop();
	}

	public void actionPerformed(ActionEvent e) {
		index++;
		if (index > s1.length() - n) {
			index = 0;
		}
		btnMarqueeLink1.setText(s1.substring(index, index + n));
	}
	
	
//////////////////////////////////////////////////////////////////////////////////////
	
	/*public MarqueePanelLink1(JLabel blinkLabel5, int n) {
		if (blinkLabel5 == null || n < 1) {
			throw new IllegalArgumentException("Null string or n < 1");
		}
		StringBuilder sb1 = new StringBuilder(n);
		for (int i = 0; i < n; i++) {
			sb1.append(' ');
		}
		
		
		this.s1 = sb1 + str1 ;
		
		this.n = n;
		
        GRPUMain.marqueeButtonProp(btnMarqueeLink1, blinkLabel5);
        this.add(btnMarqueeLink1);

        btnMarqueeLink1.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				URI uri_btn = null;
				try {
					uri_btn = new URI("https://onlineservices.tin.egov-nsdl.com/TIN/AdvertisementHitSubmit.do?Advname=LOC4");
				} catch (URISyntaxException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				 if (Desktop.isDesktopSupported()) {
				      try {
				        Desktop.getDesktop().browse(uri_btn);
				      } catch (IOException e) { 
				    	  e.printStackTrace();
				      }
				    } else { 
				   }
			}
		});
	}

	public void start() {
		timer.start();		
	}

	public void stop() {
		timer.stop();
	}

	public void actionPerformed(ActionEvent e) {
		index++;
		if (index > s1.length() - n) {
			index = 0;
		}
		btnMarqueeLink1.setText(s1.substring(index, index + n));
	}
	
	*/
	/////////////////////////////////////////////////////////////////////////////////////

	public static void writeCreateFile(String canonicalFilename, String text)
			throws IOException {
		File file = new File(canonicalFilename);
		BufferedWriter out = new BufferedWriter(new FileWriter(file));
		out.write(text);
		out.close();
	}
	
}


/******************************************************************************************************/

//newly added for FRD1.5 by akansha
class MarqueePanelSec extends JPanel implements ActionListener {

	private static final int RATE = 20;
	private final Timer timer = new Timer(3000 / RATE, this);
	private final JLabel label = new JLabel();
	private final String s;
	private final int n;
	private int index;

	public MarqueePanelSec(String s, int n) {
		if (s == null || n < 1) {
			throw new IllegalArgumentException("Null string or n < 1");
		}
		StringBuilder sb = new StringBuilder(n);
		for (int i = 0; i < n; i++) {
			sb.append(' ');
		}
		this.s = sb + s + sb;
		this.n = n;
		Color blackColor =Color.BLACK;
		label.setFont(new Font("Arial", Font.BOLD, 16));
		label.setText(sb.toString());
		label.setForeground(new Color(136, 60, 42));
		this.add(label);
	}

	public void start() {
		timer.start();
	}

	public void stop() {
		timer.stop();
	}

	public void actionPerformed(ActionEvent e) {
		index++;
		if (index > s.length() - n) {
			index = 0;
		}
		label.setText(s.substring(index, index + n));
	}
	public static void writeCreateFile(String canonicalFilename, String text)
	throws IOException {
	File file = new File(canonicalFilename);
	BufferedWriter out = new BufferedWriter(new FileWriter(file));
	out.write(text);
	out.close();
	}
}

//******************************************************************
